// FHT Swagger axios client V2


/**
 * FHT.AgencyWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.AgencyWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum AgencyWebHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromAgencyWebHostTypeEnum(e: AgencyWebHostTypeEnum): number{
    switch(e){
        case AgencyWebHostTypeEnum.Local:
            return 1;
        case AgencyWebHostTypeEnum.Development:
            return 2;
        case AgencyWebHostTypeEnum.MobileDevelopment:
            return 3;
        case AgencyWebHostTypeEnum.Staging:
            return 4;
        case AgencyWebHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid AgencyWebHostTypeEnum`);
    }
}

export function convertToAgencyWebHostTypeEnum(n: number): AgencyWebHostTypeEnum{
    switch(n){
        case 1:
            return AgencyWebHostTypeEnum.Local;
        case 2:
            return AgencyWebHostTypeEnum.Development;
        case 3:
            return AgencyWebHostTypeEnum.MobileDevelopment;
        case 4:
            return AgencyWebHostTypeEnum.Staging;
        case 5:
            return AgencyWebHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid AgencyWebHostTypeEnum`);
    }
}

export function describeAgencyWebHostTypeEnum(e: AgencyWebHostTypeEnum): string{
    switch(e){
        case AgencyWebHostTypeEnum.Local:
            return "http://localhost:8002";
        case AgencyWebHostTypeEnum.Development:
            return "http://development.fht360agency.com";
        case AgencyWebHostTypeEnum.MobileDevelopment:
            return "http://mobiledevelopmentagency.fht360.cn";
        case AgencyWebHostTypeEnum.Staging:
            return "http://stagingagency.fht360.cn";
        case AgencyWebHostTypeEnum.Production:
            return "https://agency.fht360.com";
        default:
            throw new Error(`${e} is an invalid AgencyWebHostTypeEnum`);
    }
}


