// FHT Swagger axios client V2


/**
 * FHT.ApplicationEnv, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.ApplicationEnv, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum ApplicationEnvEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromApplicationEnvEnum(e: ApplicationEnvEnum): number{
    switch(e){
        case ApplicationEnvEnum.Local:
            return 1;
        case ApplicationEnvEnum.Development:
            return 2;
        case ApplicationEnvEnum.MobileDevelopment:
            return 3;
        case ApplicationEnvEnum.Staging:
            return 4;
        case ApplicationEnvEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid ApplicationEnvEnum`);
    }
}

export function convertToApplicationEnvEnum(n: number): ApplicationEnvEnum{
    switch(n){
        case 1:
            return ApplicationEnvEnum.Local;
        case 2:
            return ApplicationEnvEnum.Development;
        case 3:
            return ApplicationEnvEnum.MobileDevelopment;
        case 4:
            return ApplicationEnvEnum.Staging;
        case 5:
            return ApplicationEnvEnum.Production;
        default:
            throw new Error(`${n} is an invalid ApplicationEnvEnum`);
    }
}

export function describeApplicationEnvEnum(e: ApplicationEnvEnum): string{
    switch(e){
        case ApplicationEnvEnum.Local:
            return "各个程序员开发的本地环境";
        case ApplicationEnvEnum.Development:
            return "线下开发环境";
        case ApplicationEnvEnum.MobileDevelopment:
            return "移动开发线下环境";
        case ApplicationEnvEnum.Staging:
            return "线下模拟的准生产环境";
        case ApplicationEnvEnum.Production:
            return "线上生产环境";
        default:
            throw new Error(`${e} is an invalid ApplicationEnvEnum`);
    }
}


