// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ArticleInputModel {
public static LABELS = {
    "Title": "标题",
    "Content": "内容",
    "PicUrl": "封面",
    "VedioUrl": "视频链接",
    "IsTop": "置顶",
    "Keywords": "关键字",
    "OldCompanyId": "老企业编号",
    "OldNewsId": "新企业编号",
}
public static VALIDATORS = {
'ArticleId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Title': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入标题" }, 
    { type: "string", min: 2, max: 40, trigger: 'blur', message: "标题必须是2到40个字"},
    customValidators.sensitiveWord?.(
"标题包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Content': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入内容" }, 
    { type: "string", min: 10, max: 100000, trigger: 'blur', message: "内容必须是10到100000个字"},
    customValidators.sensitiveWord?.(
"内容包含敏感词"
    ),
    customValidators.htmlTextLength?.(
"内容的长度必须在10与100000之间",
10,
100000
    ),
].filter(r=>r) as ValidationRule[],
'ArticleType': [

].filter(r=>r) as ValidationRule[],
'PicUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "封面最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'VedioUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "视频链接最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'IsTop': [

].filter(r=>r) as ValidationRule[],
'Keywords': [

    customValidators.elementCount?.(
"关键字的个数必须为0与4之间",
0,
4,
    )
    customValidators.sensitiveWord?.(
"关键字包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'OldCompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "老企业编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
'OldNewsId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "新企业编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'ArticleId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Length(2, 40)
 'Title'
: 
    string; // not enum

//a smart property
    @Length(10, 100000)
 'Content'
: 
    string; // not enum

//a smart property
 'ArticleType'
: 
    models.ArticleTypePathInputModel; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'PicUrl'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'VedioUrl'
    ?
: 
    string; // not enum

//a smart property
 'IsTop'
: 
    boolean; // not enum

//a smart property
 'Keywords'
    ?
: 
    Array<string>; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'OldCompanyId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
 'OldNewsId'
    ?
: 
null |
    number; // not enum

}

