// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   AuthenticationInputModel {
public static LABELS = {
    "Applicant": "经营人",
    "Mobile": "手机号",
    "IdCardNumber": "身份证号",
    "PhotoIdUrl": "身份证附件",
    "BackPhotoIdUrl": "身份证背面附件",
    "LicenseNo": "营业执照号",
    "LicenseUrl": "营业执照附件",
    "Capital": "注册资金",
    "Status": "处理状态",
    "CompanyFullName": "公司全称",
    "Corporation": "法人代表",
    "EstablishTime": "成立日期",
    "CompanyName": "公司名称",
    "Operator": "操作人",
}
public static VALIDATORS = {
'AuthenticationId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Applicant': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入经营人" }, 
    { type: "string", min: 1, max: 5, trigger: 'blur', message: "经营人长度必须为1到5个字符"},
].filter(r=>r) as ValidationRule[],
'Mobile': [

// only-max-length 
    
    { type: "string", max: 11, trigger: 'blur', message: "手机号最长不超过11字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'IdCardNumber': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入身份证号" }, 
    { type: "string", min: 15, max: 18, trigger: 'blur', message: "身份证号必须为15到18个字符"},
// regex-pattern
    { type: "string", pattern: /^[1-9]\\d{7}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}$|^[1-9]\\d{5}[1-9]\\d{3}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}([0-9]|X|x)$/, trigger: 'blur', message: "身份证号不合法"},
].filter(r=>r) as ValidationRule[],
'PhotoIdUrl': [

// only-min-length
     { type: "string", required: true, trigger: 'blur', message: "请上传身份证附件" }, 
    { type: "string", min: 2, trigger: 'blur', message: "Impossible"},
].filter(r=>r) as ValidationRule[],
'BackPhotoIdUrl': [

// only-min-length
     { type: "string", required: true, trigger: 'blur', message: "请上传身份证背面附件" }, 
    { type: "string", min: 2, trigger: 'blur', message: "Impossible"},
].filter(r=>r) as ValidationRule[],
'LicenseNo': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入营业执照号" }, 
    { type: "string", min: 15, max: 18, trigger: 'blur', message: "营业执照号必须为15到18个字符"},
// regex-pattern
    { type: "string", pattern: /(^(?:(?![IOZSV])[\\dA-Z]){2}\\d{6}(?:(?![IOZSV])[\\dA-Z]){10}$)|(^\\d{15}$)/, trigger: 'blur', message: "请输入15位工商注册号，或者18位统一社会信用代码"},
].filter(r=>r) as ValidationRule[],
'LicenseUrl': [

// only-min-length
     { type: "string", required: true, trigger: 'blur', message: "请上传营业执照附件" }, 
    { type: "string", min: 2, trigger: 'blur', message: "Impossible"},
].filter(r=>r) as ValidationRule[],
'Capital': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "注册资金必须在2147483647至1之间"},
].filter(r=>r) as ValidationRule[],
'Status': [

].filter(r=>r) as ValidationRule[],
'CompanyFullName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入公司全称" }, 
    { type: "string", min: 1, max: 30, trigger: 'blur', message: "公司全称长度必须为1到30个字符"},
].filter(r=>r) as ValidationRule[],
'Corporation': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入法人代表" }, 
    { type: "string", min: 1, max: 4, trigger: 'blur', message: "法人代表长度必须为1到4个字符"},
].filter(r=>r) as ValidationRule[],
'EstablishTime': [

].filter(r=>r) as ValidationRule[],
'CompanyName': [

// min-max-length
    
    { type: "string", min: 1, max: 30, trigger: 'blur', message: "公司名称长度必须为1到30个字符"},
].filter(r=>r) as ValidationRule[],
'Operator': [

// min-max-length
    
    { type: "string", min: 1, max: 4, trigger: 'blur', message: "操作人长度必须为1到4个字符"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'AuthenticationId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Length(1, 5)
 'Applicant'
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
 'Mobile'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^[1-9]\\d{7}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}$|^[1-9]\\d{5}[1-9]\\d{3}((0\\d)|(1[0-2]))(([0|1|2]\\d)|3[0-1])\\d{3}([0-9]|X|x)$/)
    @Length(15, 18)
 'IdCardNumber'
: 
    string; // not enum

//a smart property
 'PhotoIdUrl'
: 
    string; // not enum

//a smart property
 'BackPhotoIdUrl'
: 
    string; // not enum

//a smart property
    @Matches(/(^(?:(?![IOZSV])[\\dA-Z]){2}\\d{6}(?:(?![IOZSV])[\\dA-Z]){10}$)|(^\\d{15}$)/)
    @Length(15, 18)
 'LicenseNo'
: 
    string; // not enum

//a smart property
 'LicenseUrl'
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'Capital'
    ?
: 
null |
    number; // not enum

//a smart property
 'Status'
: 
    ProcessingStatusEnum; //is single enum

//a smart property
    @Length(1, 30)
 'CompanyFullName'
: 
    string; // not enum

//a smart property
    @Length(1, 4)
 'Corporation'
: 
    string; // not enum

//a smart property
 'EstablishTime'
    ?
: 
null |
    Date; // not enum

//a smart property
    @Length(1, 30)
 'CompanyName'
    ?
: 
    string; // not enum

//a smart property
    @Length(1, 4)
 'Operator'
    ?
: 
    string; // not enum

}
//export namespace AuthenticationInputModel 
export enum ProcessingStatusEnum {
	Pending = 'Pending',
	Accepted = 'Accepted',
	Rejected = 'Rejected'
}

