// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ChangePhoneNumberInputModel {
public static LABELS = {
    "OldMobile": "旧手机号码",
    "Mobile": "新手机号码",
    "Code": "验证码",
}
public static VALIDATORS = {
'OldMobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入旧手机号码" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "旧手机号码必须11位数字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入新手机号码" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "新手机号码必须11位数字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'Code': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入验证码" }, 
    { type: "string", min: 6, max: 6, trigger: 'blur', message: "验证码必须为6位"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'OldMobile'
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Length(6, 6)
 'Code'
: 
    string; // not enum

}

