// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ContactInfoInputModel {
public static LABELS = {
    "RealName": "联系人",
    "Mobile": "手机号码",
    "TelePhone": "联系电话",
    "Fax": "传真",
    "E_Mail": "邮箱",
    "Address": "详细地址",
}
public static VALIDATORS = {
'RealName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入联系人" }, 
    { type: "string", min: 2, max: 4, trigger: 'blur', message: "联系人必须为2到4个字符"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "联系人必须为2到4个汉字"},
    customValidators.sensitiveWord?.(
"联系人包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号码" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号码必须11位数字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号码"},
].filter(r=>r) as ValidationRule[],
'TelePhone': [

// min-max-length
    
    { type: "string", min: 7, max: 14, trigger: 'blur', message: "联系电话必须为7到14个字符"},
// regex-pattern
    { type: "string", pattern: /([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8})/, trigger: 'blur', message: "格式不正确"},
].filter(r=>r) as ValidationRule[],
'Fax': [

// min-max-length
    
    { type: "string", min: 7, max: 14, trigger: 'blur', message: "传真必须为7到14个字符"},
// regex-pattern
    { type: "string", pattern: /\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/, trigger: 'blur', message: "你输入的传真格式不正确"},
].filter(r=>r) as ValidationRule[],
'E_Mail': [

// min-max-length
    
    { type: "string", min: 5, max: 50, trigger: 'blur', message: "邮箱必须为5到50个字符"},
// regex-pattern
    { type: "string", pattern: /[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/, trigger: 'blur', message: "邮箱格式不正确"},
].filter(r=>r) as ValidationRule[],
'Address': [

// min-max-length
    
    { type: "string", min: 2, max: 30, trigger: 'blur', message: "详细地址必须是2到30个字"},
    customValidators.sensitiveWord?.(
"详细地址包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 4)
 'RealName'
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Matches(/([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8})/)
    @Length(7, 14)
 'TelePhone'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/)
    @Length(7, 14)
 'Fax'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/)
    @Length(5, 50)
 'E_Mail'
    ?
: 
    string; // not enum

//a smart property
    @Length(2, 30)
 'Address'
    ?
: 
    string; // not enum

}

