// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CoreArticleTypeInputModel {
public static LABELS = {
    "Name": "名称",
    "Alias": "别名",
}
public static VALIDATORS = {
'ArticleTypeId': [

// only-min-range
    
    { type: "number", min: 0, trigger: 'blur', message: "必须不小于0"},
].filter(r=>r) as ValidationRule[],
'Name': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入名称" }, 
    { type: "string", min: 2, max: 10, trigger: 'blur', message: "名称必须是2到10个字"},
    customValidators.sensitiveWord?.(
"名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Alias': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "别名最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'ChildArticleTypes': [

    customValidators.elementCount?.(
"的个数必须为0与10之间",
0,
10,
    )
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(0)
 'ArticleTypeId'
: 
    number; // not enum

//a smart property
    @Length(2, 10)
 'Name'
: 
    string; // not enum

//a smart property
 'Alias'
    ?
: 
    string; // not enum

//a smart property
 'ChildArticleTypes'
    ?
: 
    Array<models.CoreArticleTypeInputModel>; // not enum

}

