// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CreateCompanyInputModel {
public static LABELS = {
    "Name": "公司名称",
    "Description": "公司简介",
    "MainBusiness": "公司主营",
    "Address": "详细地址",
    "LogoUrl": "企业Logo",
    "CoverPictrue": "公司封面",
    "Telephone": "固定电话",
    "Fax": "传真",
    "Mobile": "手机号",
    "CustomerServiceList": "企业客服",
    "RealName": "联系人",
    "E_Mail": "邮箱",
    "FromAgentId": "来源代理商Id",
    "RegistrationSourceType": "注册类型",
}
public static VALIDATORS = {
'Name': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入公司名称" }, 
    { type: "string", min: 2, max: 20, trigger: 'blur', message: "公司名称必须是2到20个字"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "只允许中文，英文，数字，小括号，并且只能以中文和英文开头"},
    customValidators.sensitiveWord?.(
"公司名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Description': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入公司简介" }, 
    { type: "string", max: 100000, trigger: 'blur', message: "公司简介最长不超过100000字"},
    customValidators.htmlTextLength?.(
"公司简介的长度必须在10与100000之间",
10,
100000
    ),
].filter(r=>r) as ValidationRule[],
'MainBusiness': [

// only-max-length 
    
    { type: "string", max: 300, trigger: 'blur', message: "公司主营字符长度不能超过300个"},
].filter(r=>r) as ValidationRule[],
'Region': [

].filter(r=>r) as ValidationRule[],
'Industry': [

].filter(r=>r) as ValidationRule[],
'Address': [

// only-max-length 
    
    { type: "string", max: 100, trigger: 'blur', message: "详细地址最长不超过100字"},
].filter(r=>r) as ValidationRule[],
'LogoUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "企业Logo最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'CoverPictrue': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "公司封面最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'Telephone': [

// only-max-length 
    
    { type: "string", max: 14, trigger: 'blur', message: "固定电话最长不超过14字"},
// regex-pattern
    { type: "string", pattern: /([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8})/, trigger: 'blur', message: "格式不正确"},
].filter(r=>r) as ValidationRule[],
'Fax': [

// only-max-length 
    
    { type: "string", max: 14, trigger: 'blur', message: "传真最长不超过14字"},
// regex-pattern
    { type: "string", pattern: /\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/, trigger: 'blur', message: "你输入的传真格式不正确"},
].filter(r=>r) as ValidationRule[],
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号必须11位数字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'CustomerServiceList': [

    customValidators.elementCount?.(
"企业客服的个数必须为0与50之间",
0,
50,
    )
].filter(r=>r) as ValidationRule[],
'RealName': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入联系人" }, 
    { type: "string", max: 4, trigger: 'blur', message: "联系人最长不超过4字"},
].filter(r=>r) as ValidationRule[],
'E_Mail': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "邮箱最长不超过50字"},
// regex-pattern
    { type: "string", pattern: /[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/, trigger: 'blur', message: "邮箱格式不正确"},
].filter(r=>r) as ValidationRule[],
'GeoLocation': [

].filter(r=>r) as ValidationRule[],
'ContactInfo': [

].filter(r=>r) as ValidationRule[],
'FromAgentId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "来源代理商Id必须不小于1"},
].filter(r=>r) as ValidationRule[],
'RegistrationSourceType': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 20)
 'Name'
: 
    string; // not enum

//a smart property
 'Description'
: 
    string; // not enum

//a smart property
 'MainBusiness'
    ?
: 
    string; // not enum

//a smart property
 'Region'
: 
    models.CoreRegionInputModel; // not enum

//a smart property
 'Industry'
: 
    models.CoreIndustryInputModel; // not enum

//a smart property
 'Address'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'LogoUrl'
    ?
: 
    string; // not enum

//a smart property
 'CoverPictrue'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8})/)
 'Telephone'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/)
 'Fax'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
 'CustomerServiceList'
    ?
: 
    Array<number>; // not enum

//a smart property
 'RealName'
: 
    string; // not enum

//a smart property
    @Matches(/[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/)
 'E_Mail'
    ?
: 
    string; // not enum

//a smart property
 'GeoLocation'
    ?
: 
    models.GeoLocationInputModel; // not enum

//a smart property
 'ContactInfo'
    ?
: 
    models.ContactInfoInputModel; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'FromAgentId'
    ?
: 
null |
    number; // not enum

//a smart property
 'RegistrationSourceType'
: 
    RegistrationSourceTypeEnum; //is single enum

}
//export namespace CreateCompanyInputModel 
export enum RegistrationSourceTypeEnum {
	Web = 'Web',
	App = 'App',
	Agency = 'Agency',
	Crawler = 'Crawler'
}

