// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   CustomCategoryInputModel {
public static LABELS = {
    "CustomCategoryId": "自定义分类Id",
    "CustomCategoryName": "自定义分类",
}
public static VALIDATORS = {
'CustomCategoryId': [

// min-max-range
    
    { type: "number",  min: 0, max: 2147483647, trigger: 'blur', message: "自定义分类Id必须不小于0"},
].filter(r=>r) as ValidationRule[],
'CustomCategoryName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入自定义分类" }, 
    { type: "string", min: 1, max: 20, trigger: 'blur', message: "自定义分类必须是1到20个字"},
    customValidators.sensitiveWord?.(
"自定义分类包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'ChildCategories': [

    customValidators.elementCount?.(
"的个数必须为0与30之间",
0,
30,
    )
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(0)
    @Max(2147483647)
 'CustomCategoryId'
: 
    number; // not enum

//a smart property
    @Length(1, 20)
 'CustomCategoryName'
: 
    string; // not enum

//a smart property
 'ChildCategories'
    ?
: 
    Array<models.CustomCategoryInputModel>; // not enum

}

