// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.EligibilityReason, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.EligibilityReason, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum EligibilityReasonEnum {
    UserInactive = "UserInactive",
    UserAuditPendingOrRejected = "UserAuditPendingOrRejected",
    UserRealNameInvalid = "UserRealNameInvalid",
    UserAccountNotMobile = "UserAccountNotMobile",
    UserHasNoCompany = "UserHasNoCompany",
    CompanyInactive = "CompanyInactive",
    CompanyAuditPendingOrRejected = "CompanyAuditPendingOrRejected",
    NotCompanyAdmin = "NotCompanyAdmin",
    CompanyNotVip = "CompanyNotVip",
    CompanyInfoNotPerfect = "CompanyInfoNotPerfect",
    NoShops = "NoShops",
}

export function convertFromEligibilityReasonEnum(e: EligibilityReasonEnum): number{
    switch(e){
        case EligibilityReasonEnum.UserInactive:
            return 1;
        case EligibilityReasonEnum.UserAuditPendingOrRejected:
            return 10;
        case EligibilityReasonEnum.UserRealNameInvalid:
            return 11;
        case EligibilityReasonEnum.UserAccountNotMobile:
            return 12;
        case EligibilityReasonEnum.UserHasNoCompany:
            return 13;
        case EligibilityReasonEnum.CompanyInactive:
            return 20;
        case EligibilityReasonEnum.CompanyAuditPendingOrRejected:
            return 21;
        case EligibilityReasonEnum.NotCompanyAdmin:
            return 22;
        case EligibilityReasonEnum.CompanyNotVip:
            return 23;
        case EligibilityReasonEnum.CompanyInfoNotPerfect:
            return 24;
        case EligibilityReasonEnum.NoShops:
            return 25;
        default:
            throw new Error(`${e} is an invalid EligibilityReasonEnum`);
    }
}

export function convertToEligibilityReasonEnum(n: number): EligibilityReasonEnum{
    switch(n){
        case 1:
            return EligibilityReasonEnum.UserInactive;
        case 10:
            return EligibilityReasonEnum.UserAuditPendingOrRejected;
        case 11:
            return EligibilityReasonEnum.UserRealNameInvalid;
        case 12:
            return EligibilityReasonEnum.UserAccountNotMobile;
        case 13:
            return EligibilityReasonEnum.UserHasNoCompany;
        case 20:
            return EligibilityReasonEnum.CompanyInactive;
        case 21:
            return EligibilityReasonEnum.CompanyAuditPendingOrRejected;
        case 22:
            return EligibilityReasonEnum.NotCompanyAdmin;
        case 23:
            return EligibilityReasonEnum.CompanyNotVip;
        case 24:
            return EligibilityReasonEnum.CompanyInfoNotPerfect;
        case 25:
            return EligibilityReasonEnum.NoShops;
        default:
            throw new Error(`${n} is an invalid EligibilityReasonEnum`);
    }
}

export function describeEligibilityReasonEnum(e: EligibilityReasonEnum): string{
    switch(e){
        case EligibilityReasonEnum.UserInactive:
            return "当前用户被冻结了";
        case EligibilityReasonEnum.UserAuditPendingOrRejected:
            return "当前用户审核不通过";
        case EligibilityReasonEnum.UserRealNameInvalid:
            return "真实姓名审核不通过";
        case EligibilityReasonEnum.UserAccountNotMobile:
            return "用户账号非手机号码";
        case EligibilityReasonEnum.UserHasNoCompany:
            return "非企业用户";
        case EligibilityReasonEnum.CompanyInactive:
            return "企业已冻结或解散";
        case EligibilityReasonEnum.CompanyAuditPendingOrRejected:
            return "企业审核不通过";
        case EligibilityReasonEnum.NotCompanyAdmin:
            return "当前用户不是企业管理员";
        case EligibilityReasonEnum.CompanyNotVip:
            return "当前企业不是付费企业";
        case EligibilityReasonEnum.CompanyInfoNotPerfect:
            return "企业资料不完善";
        case EligibilityReasonEnum.NoShops:
            return "未开通商铺";
        default:
            throw new Error(`${e} is an invalid EligibilityReasonEnum`);
    }
}


