// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.EligibilityType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.EligibilityType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum EligibilityTypeEnum {
    TopicPost = "TopicPost",
    Product = "Product",
    OtherCompanyCommonManagement = "OtherCompanyCommonManagement",
    CompanyVipManagement = "CompanyVipManagement",
    Article = "Article",
    JoinCompany = "JoinCompany",
    InviteCompany = "InviteCompany",
    Chat = "Chat",
    Meetup = "Meetup",
    JoinMeetup = "JoinMeetup",
    AddFriend = "AddFriend",
}

export function convertFromEligibilityTypeEnum(e: EligibilityTypeEnum): number{
    switch(e){
        case EligibilityTypeEnum.TopicPost:
            return 1;
        case EligibilityTypeEnum.Product:
            return 10;
        case EligibilityTypeEnum.OtherCompanyCommonManagement:
            return 11;
        case EligibilityTypeEnum.CompanyVipManagement:
            return 12;
        case EligibilityTypeEnum.Article:
            return 13;
        case EligibilityTypeEnum.JoinCompany:
            return 17;
        case EligibilityTypeEnum.InviteCompany:
            return 18;
        case EligibilityTypeEnum.Chat:
            return 20;
        case EligibilityTypeEnum.Meetup:
            return 30;
        case EligibilityTypeEnum.JoinMeetup:
            return 31;
        case EligibilityTypeEnum.AddFriend:
            return 40;
        default:
            throw new Error(`${e} is an invalid EligibilityTypeEnum`);
    }
}

export function convertToEligibilityTypeEnum(n: number): EligibilityTypeEnum{
    switch(n){
        case 1:
            return EligibilityTypeEnum.TopicPost;
        case 10:
            return EligibilityTypeEnum.Product;
        case 11:
            return EligibilityTypeEnum.OtherCompanyCommonManagement;
        case 12:
            return EligibilityTypeEnum.CompanyVipManagement;
        case 13:
            return EligibilityTypeEnum.Article;
        case 17:
            return EligibilityTypeEnum.JoinCompany;
        case 18:
            return EligibilityTypeEnum.InviteCompany;
        case 20:
            return EligibilityTypeEnum.Chat;
        case 30:
            return EligibilityTypeEnum.Meetup;
        case 31:
            return EligibilityTypeEnum.JoinMeetup;
        case 40:
            return EligibilityTypeEnum.AddFriend;
        default:
            throw new Error(`${n} is an invalid EligibilityTypeEnum`);
    }
}

export function describeEligibilityTypeEnum(e: EligibilityTypeEnum): string{
    switch(e){
        case EligibilityTypeEnum.TopicPost:
            return "服务";
        case EligibilityTypeEnum.Product:
            return "产品";
        case EligibilityTypeEnum.OtherCompanyCommonManagement:
            return "企业一般操作";
        case EligibilityTypeEnum.CompanyVipManagement:
            return "企业一般操作";
        case EligibilityTypeEnum.Article:
            return "文章";
        case EligibilityTypeEnum.JoinCompany:
            return "申请加入企业";
        case EligibilityTypeEnum.InviteCompany:
            return "邀请加入企业";
        case EligibilityTypeEnum.Chat:
            return "聊天";
        case EligibilityTypeEnum.Meetup:
            return "一起玩";
        case EligibilityTypeEnum.JoinMeetup:
            return "申请加入一起玩";
        case EligibilityTypeEnum.AddFriend:
            return "申请加好友";
        default:
            throw new Error(`${e} is an invalid EligibilityTypeEnum`);
    }
}


