// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   FeedbackInputModel {
public static LABELS = {
    "Type": "类型",
    "PicPath": "图片路径",
    "FeedbackContent": "描述",
    "FeedbackerName": "姓名",
    "FeedbackerMobile": "联系方式",
}
public static VALIDATORS = {
'Type': [

].filter(r=>r) as ValidationRule[],
'PicPath': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "图片路径最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'FeedbackContent': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入描述" }, 
    { type: "string", min: 10, max: 2000, trigger: 'blur', message: "描述必须为10到2000位"},
    customValidators.sensitiveWord?.(
"描述包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'FeedbackerName': [

// only-max-length 
    
    { type: "string", max: 4, trigger: 'blur', message: "姓名最长不超过4字"},
    customValidators.sensitiveWord?.(
"姓名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'FeedbackerMobile': [

// only-max-length 
    
    { type: "string", max: 11, trigger: 'blur', message: "联系方式最长不超过11字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Type'
: 
    FeedBackTypeEnum; //is single enum

//a smart property
 'PicPath'
    ?
: 
    string; // not enum

//a smart property
    @Length(10, 2000)
 'FeedbackContent'
: 
    string; // not enum

//a smart property
 'FeedbackerName'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
 'FeedbackerMobile'
    ?
: 
    string; // not enum

}
//export namespace FeedbackInputModel 
export enum FeedBackTypeEnum {
	Wrong = 'Wrong',
	Appeal = 'Appeal',
	Suggestion = 'Suggestion',
	False = 'False',
	Forbid = 'Forbid',
	Cheat = 'Cheat',
	Doubt = 'Doubt',
	Other = 'Other'
}

