// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.Fht1AccountMigrationStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.Fht1AccountMigrationStatus, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum Fht1AccountMigrationStatusEnum {
    InFht1 = "InFht1",
    InFht2AndNeedAccountWizard = "InFht2AndNeedAccountWizard",
    InFht2 = "InFht2",
}

export function convertFromFht1AccountMigrationStatusEnum(e: Fht1AccountMigrationStatusEnum): number{
    switch(e){
        case Fht1AccountMigrationStatusEnum.InFht1:
            return 1;
        case Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard:
            return 2;
        case Fht1AccountMigrationStatusEnum.InFht2:
            return 3;
        default:
            throw new Error(`${e} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}

export function convertToFht1AccountMigrationStatusEnum(n: number): Fht1AccountMigrationStatusEnum{
    switch(n){
        case 1:
            return Fht1AccountMigrationStatusEnum.InFht1;
        case 2:
            return Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard;
        case 3:
            return Fht1AccountMigrationStatusEnum.InFht2;
        default:
            throw new Error(`${n} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}

export function describeFht1AccountMigrationStatusEnum(e: Fht1AccountMigrationStatusEnum): string{
    switch(e){
        case Fht1AccountMigrationStatusEnum.InFht1:
            return "Fht1平台用户";
        case Fht1AccountMigrationStatusEnum.InFht2AndNeedAccountWizard:
            return "迁移到Fht2平台，需要做账号向导确认";
        case Fht1AccountMigrationStatusEnum.InFht2:
            return "Fht2平台用户";
        default:
            throw new Error(`${e} is an invalid Fht1AccountMigrationStatusEnum`);
    }
}


