// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   Fht1CompanyUserInputModel {
public static LABELS = {
    "UserId": "用户",
    "UserName": "账号",
    "Password": "密码",
    "Salt": "加盐",
    "IsVIP": "是否Vip",
    "CompanyId": "企业",
    "CompanyUrl": "企业链接",
    "EffectiveTime": "有效日期",
    "ExpireTime": "过期日期",
    "CompanyPackageType": "套餐类型",
    "Fht2UserName": "账号",
    "Fht2Password": "密码",
    "Fht2CompanyId": "企业编号",
}
public static VALIDATORS = {
'UserId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入用户" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "用户必须不小于1"},
].filter(r=>r) as ValidationRule[],
'UserName': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入账号" }, 
    { type: "string", max: 36, trigger: 'blur', message: "账号最长不超过36字"},
].filter(r=>r) as ValidationRule[],
'Password': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入密码" }, 
    { type: "string", max: 32, trigger: 'blur', message: "密码最长不超过32字"},
].filter(r=>r) as ValidationRule[],
'Salt': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入加盐" }, 
    { type: "string", max: 100, trigger: 'blur', message: "加盐最长不超过100字"},
].filter(r=>r) as ValidationRule[],
'IsVIP': [

].filter(r=>r) as ValidationRule[],
'CompanyId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入企业" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "企业必须不小于1"},
].filter(r=>r) as ValidationRule[],
'CompanyUrl': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入企业链接" }, 
    { type: "string", max: 50, trigger: 'blur', message: "企业链接最长不超过50字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'EffectiveTime': [

].filter(r=>r) as ValidationRule[],
'ExpireTime': [

].filter(r=>r) as ValidationRule[],
'CompanyPackageType': [

].filter(r=>r) as ValidationRule[],
'Fht2UserName': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入账号" }, 
    { type: "string", max: 11, trigger: 'blur', message: "账号最长不超过11字"},
].filter(r=>r) as ValidationRule[],
'Fht2Password': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入密码" }, 
    { type: "string", max: 30, trigger: 'blur', message: "密码最长不超过30字"},
].filter(r=>r) as ValidationRule[],
'Fht2CompanyId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入企业编号" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "企业编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'UserId'
: 
    number; // not enum

//a smart property
 'UserName'
: 
    string; // not enum

//a smart property
 'Password'
: 
    string; // not enum

//a smart property
 'Salt'
: 
    string; // not enum

//a smart property
 'IsVIP'
: 
    boolean; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CompanyId'
: 
    number; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'CompanyUrl'
: 
    string; // not enum

//a smart property
 'EffectiveTime'
    ?
: 
null |
    Date; // not enum

//a smart property
 'ExpireTime'
    ?
: 
null |
    Date; // not enum

//a smart property
 'CompanyPackageType'
: 
    CompanyMembershipTypeEnum; //is single enum

//a smart property
 'Fht2UserName'
: 
    string; // not enum

//a smart property
 'Fht2Password'
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'Fht2CompanyId'
: 
    number; // not enum

}
//export namespace Fht1CompanyUserInputModel 
export enum CompanyMembershipTypeEnum {
	None = 'None',
	General = 'General',
	Gold = 'Gold',
	Silver = 'Silver',
	FhtMember = 'FhtMember',
	FHT1VIP905 = 'FHT1VIP_905',
	FHT1VIP906 = 'FHT1VIP_906',
	FHT1VIP908 = 'FHT1VIP_908',
	FHT1VIP912 = 'FHT1VIP_912',
	FHT1VIP918 = 'FHT1VIP_918',
	FHT1VIP922 = 'FHT1VIP_922',
	FHT1VIP925 = 'FHT1VIP_925',
	FHT1VIP935 = 'FHT1VIP_935',
	FHT1VIP937 = 'FHT1VIP_937',
	FHT1VIP941 = 'FHT1VIP_941',
	FHT1VIP942 = 'FHT1VIP_942',
	FHT1VIP947 = 'FHT1VIP_947',
	FHT1VIP949 = 'FHT1VIP_949',
	FHT1VIP950 = 'FHT1VIP_950',
	FHT1VIP951 = 'FHT1VIP_951',
	FHT1VIP952 = 'FHT1VIP_952',
	FHT1VIP958 = 'FHT1VIP_958',
	FHT1VIP959 = 'FHT1VIP_959',
	FHT1VIP960 = 'FHT1VIP_960',
	FHT1VIP963 = 'FHT1VIP_963',
	FHT1VIP964 = 'FHT1VIP_964',
	FHT1VIP965 = 'FHT1VIP_965',
	FHT1VIP966 = 'FHT1VIP_966',
	FHT1VIP968 = 'FHT1VIP_968',
	FHT1VIP969 = 'FHT1VIP_969',
	FHT1VIP970 = 'FHT1VIP_970',
	FHT1VIP971 = 'FHT1VIP_971',
	FHT1VIP972 = 'FHT1VIP_972',
	FHT1VIP973 = 'FHT1VIP_973'
}

