// FHT Swagger axios client V2


/**
 * FHT.FhtWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebHostTypeEnum(e: FhtWebHostTypeEnum): number{
    switch(e){
        case FhtWebHostTypeEnum.Local:
            return 1;
        case FhtWebHostTypeEnum.Development:
            return 2;
        case FhtWebHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebHostTypeEnum.Staging:
            return 4;
        case FhtWebHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebHostTypeEnum`);
    }
}

export function convertToFhtWebHostTypeEnum(n: number): FhtWebHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebHostTypeEnum.Local;
        case 2:
            return FhtWebHostTypeEnum.Development;
        case 3:
            return FhtWebHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebHostTypeEnum.Staging;
        case 5:
            return FhtWebHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebHostTypeEnum`);
    }
}

export function describeFhtWebHostTypeEnum(e: FhtWebHostTypeEnum): string{
    switch(e){
        case FhtWebHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebHostTypeEnum.Development:
            return "http://www.developmentfht360web.com";
        case FhtWebHostTypeEnum.MobileDevelopment:
            return "http://www.mobiledevelopmentfht360web.com";
        case FhtWebHostTypeEnum.Staging:
            return "http://www.stagingfht360web.com";
        case FhtWebHostTypeEnum.Production:
            return "https://www.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebHostTypeEnum`);
    }
}


