// FHT Swagger axios client V2


/**
 * FHT.FhtWebMobileHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebMobileHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebMobileHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebMobileHostTypeEnum(e: FhtWebMobileHostTypeEnum): number{
    switch(e){
        case FhtWebMobileHostTypeEnum.Local:
            return 1;
        case FhtWebMobileHostTypeEnum.Development:
            return 2;
        case FhtWebMobileHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebMobileHostTypeEnum.Staging:
            return 4;
        case FhtWebMobileHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebMobileHostTypeEnum`);
    }
}

export function convertToFhtWebMobileHostTypeEnum(n: number): FhtWebMobileHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebMobileHostTypeEnum.Local;
        case 2:
            return FhtWebMobileHostTypeEnum.Development;
        case 3:
            return FhtWebMobileHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebMobileHostTypeEnum.Staging;
        case 5:
            return FhtWebMobileHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebMobileHostTypeEnum`);
    }
}

export function describeFhtWebMobileHostTypeEnum(e: FhtWebMobileHostTypeEnum): string{
    switch(e){
        case FhtWebMobileHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebMobileHostTypeEnum.Development:
            return "http://m.developmentfht360web.com:7004";
        case FhtWebMobileHostTypeEnum.MobileDevelopment:
            return "http://m.mobiledevelopmentfht360web.com:8004";
        case FhtWebMobileHostTypeEnum.Staging:
            return "http://m.stagingfht360web.com:9004";
        case FhtWebMobileHostTypeEnum.Production:
            return "https://m.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebMobileHostTypeEnum`);
    }
}


