// FHT Swagger axios client V2


/**
 * FHT.FhtWebTopicHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.FhtWebTopicHostType, FHT.ApplicationEnvironment, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum FhtWebTopicHostTypeEnum {
    Local = "Local",
    Development = "Development",
    MobileDevelopment = "MobileDevelopment",
    Staging = "Staging",
    Production = "Production",
}

export function convertFromFhtWebTopicHostTypeEnum(e: FhtWebTopicHostTypeEnum): number{
    switch(e){
        case FhtWebTopicHostTypeEnum.Local:
            return 1;
        case FhtWebTopicHostTypeEnum.Development:
            return 2;
        case FhtWebTopicHostTypeEnum.MobileDevelopment:
            return 3;
        case FhtWebTopicHostTypeEnum.Staging:
            return 4;
        case FhtWebTopicHostTypeEnum.Production:
            return 5;
        default:
            throw new Error(`${e} is an invalid FhtWebTopicHostTypeEnum`);
    }
}

export function convertToFhtWebTopicHostTypeEnum(n: number): FhtWebTopicHostTypeEnum{
    switch(n){
        case 1:
            return FhtWebTopicHostTypeEnum.Local;
        case 2:
            return FhtWebTopicHostTypeEnum.Development;
        case 3:
            return FhtWebTopicHostTypeEnum.MobileDevelopment;
        case 4:
            return FhtWebTopicHostTypeEnum.Staging;
        case 5:
            return FhtWebTopicHostTypeEnum.Production;
        default:
            throw new Error(`${n} is an invalid FhtWebTopicHostTypeEnum`);
    }
}

export function describeFhtWebTopicHostTypeEnum(e: FhtWebTopicHostTypeEnum): string{
    switch(e){
        case FhtWebTopicHostTypeEnum.Local:
            return "http://localhost:8001";
        case FhtWebTopicHostTypeEnum.Development:
            return "http://topic.developmentfht360web.com";
        case FhtWebTopicHostTypeEnum.MobileDevelopment:
            return "http://topic.mobiledevelopmentfht360web.com";
        case FhtWebTopicHostTypeEnum.Staging:
            return "http://topic.stagingfht360web.com";
        case FhtWebTopicHostTypeEnum.Production:
            return "https://topic.fht360.com";
        default:
            throw new Error(`${e} is an invalid FhtWebTopicHostTypeEnum`);
    }
}


