// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   FriendlyLinkInputModel {
public static LABELS = {
    "Title": "名称",
    "Url": "链接",
    "Description": "描述",
    "LogoUrl": "Logo连接",
    "Orders": "排序",
}
public static VALIDATORS = {
'LinkId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Title': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入名称" }, 
    { type: "string", max: 50, trigger: 'blur', message: "名称最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'Url': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入链接" }, 
    { type: "string", max: 200, trigger: 'blur', message: "链接最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'Description': [

// only-max-length 
    
    { type: "string", max: 500, trigger: 'blur', message: "描述最长不超过500字"},
].filter(r=>r) as ValidationRule[],
'LogoUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "Logo连接最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'Orders': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入排序" }, 
    { type: "number",  min: 0, max: 1000, trigger: 'blur', message: "排序必须是在1000到0之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'LinkId'
    ?
: 
null |
    number; // not enum

//a smart property
 'Title'
: 
    string; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'Url'
: 
    string; // not enum

//a smart property
 'Description'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'LogoUrl'
    ?
: 
    string; // not enum

//a smart property
    @Min(0)
    @Max(1000)
 'Orders'
: 
    number; // not enum

}

