// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   InvitationByAccountInputModel {
public static LABELS = {
    "Mobile": "手机号",
    "RealName": "姓名",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号必须11字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'RealName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入姓名" }, 
    { type: "string", min: 2, max: 4, trigger: 'blur', message: "姓名必须为2到4位字符"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "姓名必须为2到4个汉字"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 4)
 'RealName'
: 
    string; // not enum

}

