// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   JoinApplyInputModel {
public static LABELS = {
    "CompanyName": "企业名称",
    "Name": "联系人",
    "Mobile": "联系方式",
    "Code": "验证码",
    "Content": "内容",
    "Type": "申请类型",
}
public static VALIDATORS = {
'Region': [

].filter(r=>r) as ValidationRule[],
'CompanyName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入企业名称" }, 
    { type: "string", min: 2, max: 50, trigger: 'blur', message: "企业名称必须为2到50位"},
    customValidators.sensitiveWord?.(
"企业名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Name': [

// min-max-length
    
    { type: "string", min: 2, max: 4, trigger: 'blur', message: "联系人必须为2到4位"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "联系人必须为2到4个汉字"},
    customValidators.sensitiveWord?.(
"联系人包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入联系方式" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "联系方式必须为11个字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'Code': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入验证码" }, 
    { type: "string", min: 6, max: 6, trigger: 'blur', message: "验证码必须为6位"},
].filter(r=>r) as ValidationRule[],
'Content': [

// only-max-length 
    
    { type: "string", max: 2000, trigger: 'blur', message: "内容最长不超过2000字"},
    customValidators.sensitiveWord?.(
"内容包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Type': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'Region'
: 
    models.ManagementRegionInputModel; // not enum

//a smart property
    @Length(2, 50)
 'CompanyName'
: 
    string; // not enum

//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 4)
 'Name'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Length(6, 6)
 'Code'
: 
    string; // not enum

//a smart property
 'Content'
    ?
: 
    string; // not enum

//a smart property
 'Type'
: 
    ApplyTypeEnum; //is single enum

}
//export namespace JoinApplyInputModel 
export enum ApplyTypeEnum {
	Member = 'Member',
	Agency = 'Agency'
}

