// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.KnownPageType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.KnownPageType, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum KnownPageTypeEnum {
    Home = "Home",
    ProductList = "ProductList",
    ProductDetail = "ProductDetail",
    TopicPostList = "TopicPostList",
    TopicPostDetail = "TopicPostDetail",
    UserDetail = "UserDetail",
    Account = "Account",
    OfficialSite = "OfficialSite",
    App = "App",
    Membership = "Membership",
    EditTemplate = "EditTemplate",
    Center = "Center",
    ProductSearch = "ProductSearch",
    TopicPostSearch = "TopicPostSearch",
    UserSearch = "UserSearch",
    CompanySearch = "CompanySearch",
}

export function convertFromKnownPageTypeEnum(e: KnownPageTypeEnum): number{
    switch(e){
        case KnownPageTypeEnum.Home:
            return 1;
        case KnownPageTypeEnum.ProductList:
            return 2;
        case KnownPageTypeEnum.ProductDetail:
            return 3;
        case KnownPageTypeEnum.TopicPostList:
            return 4;
        case KnownPageTypeEnum.TopicPostDetail:
            return 5;
        case KnownPageTypeEnum.UserDetail:
            return 6;
        case KnownPageTypeEnum.Account:
            return 8;
        case KnownPageTypeEnum.OfficialSite:
            return 9;
        case KnownPageTypeEnum.App:
            return 20;
        case KnownPageTypeEnum.Membership:
            return 21;
        case KnownPageTypeEnum.EditTemplate:
            return 22;
        case KnownPageTypeEnum.Center:
            return 23;
        case KnownPageTypeEnum.ProductSearch:
            return 40;
        case KnownPageTypeEnum.TopicPostSearch:
            return 41;
        case KnownPageTypeEnum.UserSearch:
            return 42;
        case KnownPageTypeEnum.CompanySearch:
            return 43;
        default:
            throw new Error(`${e} is an invalid KnownPageTypeEnum`);
    }
}

export function convertToKnownPageTypeEnum(n: number): KnownPageTypeEnum{
    switch(n){
        case 1:
            return KnownPageTypeEnum.Home;
        case 2:
            return KnownPageTypeEnum.ProductList;
        case 3:
            return KnownPageTypeEnum.ProductDetail;
        case 4:
            return KnownPageTypeEnum.TopicPostList;
        case 5:
            return KnownPageTypeEnum.TopicPostDetail;
        case 6:
            return KnownPageTypeEnum.UserDetail;
        case 8:
            return KnownPageTypeEnum.Account;
        case 9:
            return KnownPageTypeEnum.OfficialSite;
        case 20:
            return KnownPageTypeEnum.App;
        case 21:
            return KnownPageTypeEnum.Membership;
        case 22:
            return KnownPageTypeEnum.EditTemplate;
        case 23:
            return KnownPageTypeEnum.Center;
        case 40:
            return KnownPageTypeEnum.ProductSearch;
        case 41:
            return KnownPageTypeEnum.TopicPostSearch;
        case 42:
            return KnownPageTypeEnum.UserSearch;
        case 43:
            return KnownPageTypeEnum.CompanySearch;
        default:
            throw new Error(`${n} is an invalid KnownPageTypeEnum`);
    }
}

export function describeKnownPageTypeEnum(e: KnownPageTypeEnum): string{
    switch(e){
        case KnownPageTypeEnum.Home:
            return "首页";
        case KnownPageTypeEnum.ProductList:
            return "产品列表";
        case KnownPageTypeEnum.ProductDetail:
            return "产品详情";
        case KnownPageTypeEnum.TopicPostList:
            return "服务息列表";
        case KnownPageTypeEnum.TopicPostDetail:
            return "服务详情";
        case KnownPageTypeEnum.UserDetail:
            return "用户详情";
        case KnownPageTypeEnum.Account:
            return "账户，注册,登录";
        case KnownPageTypeEnum.OfficialSite:
            return "官网";
        case KnownPageTypeEnum.App:
            return "App下载中心";
        case KnownPageTypeEnum.Membership:
            return "会员认证";
        case KnownPageTypeEnum.EditTemplate:
            return "编辑模板";
        case KnownPageTypeEnum.Center:
            return "个人中心，企业中心";
        case KnownPageTypeEnum.ProductSearch:
            return "产品搜索";
        case KnownPageTypeEnum.TopicPostSearch:
            return "服务信息搜索";
        case KnownPageTypeEnum.UserSearch:
            return "用户搜索";
        case KnownPageTypeEnum.CompanySearch:
            return "企业搜索";
        default:
            throw new Error(`${e} is an invalid KnownPageTypeEnum`);
    }
}


