// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   MemberApplyInputModel {
public static LABELS = {
    "Mobile": "联系方式",
    "Code": "验证码",
    "Content": "备注",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入联系方式" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "联系方式必须为11个字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
'Code': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入验证码" }, 
    { type: "string", min: 6, max: 6, trigger: 'blur', message: "验证码必须为6位"},
].filter(r=>r) as ValidationRule[],
'Content': [

// only-max-length 
    
    { type: "string", max: 2000, trigger: 'blur', message: "备注最长不超过2000字"},
    customValidators.sensitiveWord?.(
"备注包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Length(6, 6)
 'Code'
: 
    string; // not enum

//a smart property
 'Content'
    ?
: 
    string; // not enum

}

