// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ModifyCompanyInputModel {
public static LABELS = {
    "Name": "公司名称",
    "Domain": "域名",
    "Icp": "备案号",
    "Description": "公司简介",
    "MainBusiness": "公司主营",
    "Address": "详细地址",
    "LogoUrl": "企业Logo",
    "CoverPictrue": "企业封面",
    "RealName": "联系人",
    "Mobile": "手机号码",
    "TelePhone": "联系电话",
    "Fax": "传真",
    "E_Mail": "邮箱",
}
public static VALIDATORS = {
'CompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Name': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入公司名称" }, 
    { type: "string", min: 2, max: 20, trigger: 'blur', message: "公司名称必须是2到20个字"},
    customValidators.sensitiveWord?.(
"公司名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Domain': [

// only-max-length 
    
    { type: "string", max: 100, trigger: 'blur', message: "域名字符长度不能超过100个"},
    customValidators.sensitiveWord?.(
"域名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Icp': [

// only-max-length 
    
    { type: "string", max: 30, trigger: 'blur', message: "备案号字符长度不能超过30个"},
    customValidators.sensitiveWord?.(
"备案号包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Description': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入公司简介" }, 
    { type: "string", max: 100000, trigger: 'blur', message: "公司简介字符长度不能超过100000个"},
    customValidators.sensitiveWord?.(
"公司简介包含敏感词"
    ),
    customValidators.htmlTextLength?.(
"公司简介的长度必须在10与100000之间",
10,
100000
    ),
].filter(r=>r) as ValidationRule[],
'MainBusiness': [

// only-max-length 
    
    { type: "string", max: 300, trigger: 'blur', message: "公司主营字符长度不能超过300个"},
].filter(r=>r) as ValidationRule[],
'Region': [

].filter(r=>r) as ValidationRule[],
'Address': [

// only-max-length 
    
    { type: "string", max: 100, trigger: 'blur', message: "详细地址字符长度不能超过100个"},
    customValidators.sensitiveWord?.(
"详细地址包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Industry': [

].filter(r=>r) as ValidationRule[],
'LogoUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "企业Logo最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'CoverPictrue': [

// only-max-length 
    
    { type: "string", max: 150, trigger: 'blur', message: "企业封面字符长度不能超过150个"},
].filter(r=>r) as ValidationRule[],
'RealName': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入联系人" }, 
    { type: "string", max: 10, trigger: 'blur', message: "联系人字符长度不能超过10个"},
    customValidators.sensitiveWord?.(
"联系人包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入手机号码" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "手机号码必须为11个字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号码"},
].filter(r=>r) as ValidationRule[],
'TelePhone': [

// min-max-length
    
    { type: "string", min: 7, max: 20, trigger: 'blur', message: "联系电话必须为7到20个字符"},
// regex-pattern
    { type: "string", pattern: /(^1[3456789]\\d{9}$)|(([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8}))/, trigger: 'blur', message: "你输入的电话格式不正确"},
].filter(r=>r) as ValidationRule[],
'Fax': [

// min-max-length
    
    { type: "string", min: 8, max: 20, trigger: 'blur', message: "传真必须为8到20个字符"},
// regex-pattern
    { type: "string", pattern: /\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/, trigger: 'blur', message: "你输入的传真格式不正确"},
].filter(r=>r) as ValidationRule[],
'E_Mail': [

// min-max-length
    
    { type: "string", min: 5, max: 50, trigger: 'blur', message: "邮箱必须为5到50个字符"},
// regex-pattern
    { type: "string", pattern: /[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/, trigger: 'blur', message: "邮箱格式不正确"},
].filter(r=>r) as ValidationRule[],
'GeoLocation': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'CompanyId'
: 
    number; // not enum

//a smart property
    @Length(2, 20)
 'Name'
: 
    string; // not enum

//a smart property
 'Domain'
    ?
: 
    string; // not enum

//a smart property
 'Icp'
    ?
: 
    string; // not enum

//a smart property
 'Description'
: 
    string; // not enum

//a smart property
 'MainBusiness'
    ?
: 
    string; // not enum

//a smart property
 'Region'
: 
    models.CoreRegionInputModel; // not enum

//a smart property
 'Address'
    ?
: 
    string; // not enum

//a smart property
 'Industry'
: 
    models.CoreIndustryInputModel; // not enum

//a smart property
 'LogoUrl'
    ?
: 
    string; // not enum

//a smart property
 'CoverPictrue'
    ?
: 
    string; // not enum

//a smart property
 'RealName'
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Matches(/(^1[3456789]\\d{9}$)|(([48]00\\d{7})|([48]00-\\d{7})|([48]00-\\d{2}-\\d{5})|([48]00-\\d{3}-\\d{4})|([48]00-\\d{4}-\\d{3})|([48]00-\\d{5}-\\d{2})|([48]00\\d{1}-\\d{3}-\\d{3})|([48]00\\s\\d{3}\\s\\d{4})|(^0\\d{2,3}(-| )?\\d{7,8}))/)
    @Length(7, 20)
 'TelePhone'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/\\+?0\\d{2,3}\\s*[- ]?\\s*\\d{7,8}/)
    @Length(8, 20)
 'Fax'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/[\\w!#$%&'*+\/=?^_`{|}~-]+(?:\\.[\\w!#$%&'*+\/=?^_`{|}~-]+)*@(?:[\\w](?:[\\w-]*[\\w])?\\.)+[\\w](?:[\\w-]*[\\w])?/)
    @Length(5, 50)
 'E_Mail'
    ?
: 
    string; // not enum

//a smart property
 'GeoLocation'
    ?
: 
    models.GeoLocationInputModel; // not enum

}

