// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.NavigationContentType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.NavigationContentType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum NavigationContentTypeEnum {
    Preset = "Preset",
    CustomPage = "CustomPage",
    ArticleType = "ArticleType",
    Url = "Url",
    CustomCategory = "CustomCategory",
}

export function convertFromNavigationContentTypeEnum(e: NavigationContentTypeEnum): number{
    switch(e){
        case NavigationContentTypeEnum.Preset:
            return 0;
        case NavigationContentTypeEnum.CustomPage:
            return 1;
        case NavigationContentTypeEnum.ArticleType:
            return 2;
        case NavigationContentTypeEnum.Url:
            return 3;
        case NavigationContentTypeEnum.CustomCategory:
            return 4;
        default:
            throw new Error(`${e} is an invalid NavigationContentTypeEnum`);
    }
}

export function convertToNavigationContentTypeEnum(n: number): NavigationContentTypeEnum{
    switch(n){
        case 0:
            return NavigationContentTypeEnum.Preset;
        case 1:
            return NavigationContentTypeEnum.CustomPage;
        case 2:
            return NavigationContentTypeEnum.ArticleType;
        case 3:
            return NavigationContentTypeEnum.Url;
        case 4:
            return NavigationContentTypeEnum.CustomCategory;
        default:
            throw new Error(`${n} is an invalid NavigationContentTypeEnum`);
    }
}

export function describeNavigationContentTypeEnum(e: NavigationContentTypeEnum): string{
    switch(e){
        case NavigationContentTypeEnum.Preset:
            return "系统预设";
        case NavigationContentTypeEnum.CustomPage:
            return "自定义页面";
        case NavigationContentTypeEnum.ArticleType:
            return "文章分类";
        case NavigationContentTypeEnum.Url:
            return "网页链接";
        case NavigationContentTypeEnum.CustomCategory:
            return "产品分类";
        default:
            throw new Error(`${e} is an invalid NavigationContentTypeEnum`);
    }
}


