// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.Dto.Common.NetworkType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.Dto.Common.NetworkType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum NetworkTypeEnum {
    Disconnected = "Disconnected",
    Wifi = "Wifi",
    _2G = "_2G",
    _3G = "_3G",
    _4G = "_4G",
    _5G = "_5G",
    Cable = "Cable",
}

export function convertFromNetworkTypeEnum(e: NetworkTypeEnum): number{
    switch(e){
        case NetworkTypeEnum.Disconnected:
            return 1;
        case NetworkTypeEnum.Wifi:
            return 2;
        case NetworkTypeEnum._2G:
            return 3;
        case NetworkTypeEnum._3G:
            return 4;
        case NetworkTypeEnum._4G:
            return 5;
        case NetworkTypeEnum._5G:
            return 6;
        case NetworkTypeEnum.Cable:
            return 10;
        default:
            throw new Error(`${e} is an invalid NetworkTypeEnum`);
    }
}

export function convertToNetworkTypeEnum(n: number): NetworkTypeEnum{
    switch(n){
        case 1:
            return NetworkTypeEnum.Disconnected;
        case 2:
            return NetworkTypeEnum.Wifi;
        case 3:
            return NetworkTypeEnum._2G;
        case 4:
            return NetworkTypeEnum._3G;
        case 5:
            return NetworkTypeEnum._4G;
        case 6:
            return NetworkTypeEnum._5G;
        case 10:
            return NetworkTypeEnum.Cable;
        default:
            throw new Error(`${n} is an invalid NetworkTypeEnum`);
    }
}

export function describeNetworkTypeEnum(e: NetworkTypeEnum): string{
    switch(e){
        case NetworkTypeEnum.Disconnected:
            return "断网";
        case NetworkTypeEnum.Wifi:
            return "Wifi";
        case NetworkTypeEnum._2G:
            return "2G";
        case NetworkTypeEnum._3G:
            return "3G";
        case NetworkTypeEnum._4G:
            return "4G";
        case NetworkTypeEnum._5G:
            return "5G";
        case NetworkTypeEnum.Cable:
            return "有线网络";
        default:
            throw new Error(`${e} is an invalid NetworkTypeEnum`);
    }
}


