// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ProductInputModel {
public static LABELS = {
    "Title": "标题",
    "CategoryId": "产品分类",
    "CustomCategoryId": "自定义分类",
    "CustomProperties": "自定义属性",
    "Order": "排序",
    "IsTop": "置顶",
    "Content": "产品详情",
    "Keywords": "关键词",
    "Tags": "标签",
    "PicUrls": "图片",
    "OldCompanyId": "老企业编号",
    "OldProductId": "老产品编号",
}
public static VALIDATORS = {
'ProductId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Title': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入标题" }, 
    { type: "string", min: 2, max: 40, trigger: 'blur', message: "标题必须是2到40个字"},
    customValidators.sensitiveWord?.(
"标题包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'CategoryId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "产品分类不能为空" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "请选择有效产品分类"},
].filter(r=>r) as ValidationRule[],
'CustomCategoryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "请选择有效自定义分类"},
].filter(r=>r) as ValidationRule[],
'CustomProperties': [

// is-input-model
    
  { type: "array", defaultField: { type: "object", fields: ProductCustomPropertyInputModel.VALIDATORS} },
    customValidators.elementCount?.(
"自定义属性的个数必须为0与2147483647之间",
0,
2147483647,
    )
].filter(r=>r) as ValidationRule[],
'Order': [

// min-max-range
    
    { type: "number",  min: 0, max: 10000, trigger: 'blur', message: "排序必须是在10000到0之间"},
].filter(r=>r) as ValidationRule[],
'IsTop': [

].filter(r=>r) as ValidationRule[],
'Content': [

// only-max-length 
     { type: "string", required: true, trigger: 'blur', message: "请输入产品详情" }, 
    { type: "string", max: 100000, trigger: 'blur', message: "产品详情最长不超过100000字"},
    customValidators.sensitiveWord?.(
"产品详情包含敏感词"
    ),
    customValidators.htmlTextLength?.(
"产品详情的长度必须在10与100000之间",
10,
100000
    ),
].filter(r=>r) as ValidationRule[],
'Keywords': [

    customValidators.elementCount?.(
"关键词的个数必须为0与10之间",
0,
10,
    )
    customValidators.sensitiveWord?.(
"关键词包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Tags': [

    customValidators.elementCount?.(
"标签的个数必须为0与10之间",
0,
10,
    )
].filter(r=>r) as ValidationRule[],
'PicUrls': [

    customValidators.elementCount?.(
"图片的个数必须为1与8之间",
1,
8,
    )
].filter(r=>r) as ValidationRule[],
'OldCompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "老企业编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
'OldProductId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "老产品编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'ProductId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Length(2, 40)
 'Title'
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CategoryId'
: 
    number; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'CustomCategoryId'
    ?
: 
null |
    number; // not enum

//a smart property
 'CustomProperties'
    ?
: 
    Array<models.ProductCustomPropertyInputModel>; // not enum

//a smart property
    @Min(0)
    @Max(10000)
 'Order'
    ?
: 
null |
    number; // not enum

//a smart property
 'IsTop'
: 
    boolean; // not enum

//a smart property
 'Content'
: 
    string; // not enum

//a smart property
 'Keywords'
    ?
: 
    Array<string>; // not enum

//a smart property
 'Tags'
    ?
: 
    Array<number>; // not enum

//a smart property
 'PicUrls'
: 
    Array<string>; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'OldCompanyId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
 'OldProductId'
    ?
: 
null |
    number; // not enum

}

