// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   RegisterBasicInputModel {
public static LABELS = {
    "Mobile": "账号",
    "Password": "密码",
    "Code": "验证码",
    "TermsAccepted": "服务协议",
}
public static VALIDATORS = {
'Mobile': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入账号" }, 
    { type: "string", min: 11, max: 11, trigger: 'blur', message: "账号必须为11个字符"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的账号"},
].filter(r=>r) as ValidationRule[],
'Password': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入密码" }, 
    { type: "string", min: 6, max: 20, trigger: 'blur', message: "密码必须是6到20位"},
// regex-pattern
    { type: "string", pattern: /^\\S*$/, trigger: 'blur', message: "密码不能包含空格！"},
].filter(r=>r) as ValidationRule[],
'Code': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入验证码" }, 
    { type: "string", min: 6, max: 6, trigger: 'blur', message: "验证码必须为6位"},
].filter(r=>r) as ValidationRule[],
'TermsAccepted': [

    customValidators.enforceTrue?.(
"服务协议必须勾选"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
    @Length(11, 11)
 'Mobile'
: 
    string; // not enum

//a smart property
    @Matches(/^\\S*$/)
    @Length(6, 20)
 'Password'
: 
    string; // not enum

//a smart property
    @Length(6, 6)
 'Code'
: 
    string; // not enum

//a smart property
 'TermsAccepted'
: 
    boolean; // not enum

}

