// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   RegisterCreatedCompanyInputModel {
public static LABELS = {
    "CompanyName": "企业名称",
    "RealName": "姓名",
    "Profession": "职位",
    "IndustryId": "行业",
}
public static VALIDATORS = {
'CompanyName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入企业名称" }, 
    { type: "string", min: 2, max: 20, trigger: 'blur', message: "企业名称必须是2到20位"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]*$/, trigger: 'blur', message: "企业名称只允许是中英文、数字和小括号哦！"},
    customValidators.sensitiveWord?.(
"企业名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'RealName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入姓名" }, 
    { type: "string", min: 2, max: 4, trigger: 'blur', message: "姓名必须为2到4位字符"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "姓名必须为2到4个汉字"},
    customValidators.sensitiveWord?.(
"姓名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Profession': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入职位" }, 
    { type: "string", min: 2, max: 10, trigger: 'blur', message: "职位必须是2到10位"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z\\u4E00-\\u9FA5]*$/, trigger: 'blur', message: "职位只允许包含中文汉字和英文字母！"},
    customValidators.sensitiveWord?.(
"职位包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'IndustryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "行业必须不小于1"},
].filter(r=>r) as ValidationRule[],
'Region': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[A-Za-z\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]*$/)
    @Length(2, 20)
 'CompanyName'
: 
    string; // not enum

//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 4)
 'RealName'
: 
    string; // not enum

//a smart property
    @Matches(/^[A-Za-z\\u4E00-\\u9FA5]*$/)
    @Length(2, 10)
 'Profession'
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'IndustryId'
    ?
: 
null |
    number; // not enum

//a smart property
 'Region'
: 
    models.CoreRegionInputModel; // not enum

}

