// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   ReportInputModelBase {
public static LABELS = {
    "ReportReason": "原因类型",
    "ReportContent": "内容",
    "ReporterName": "姓名",
    "ReporterMobile": "手机号码",
}
public static VALIDATORS = {
'ReportReason': [

].filter(r=>r) as ValidationRule[],
'ReportContent': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入内容" }, 
    { type: "string", min: 5, max: 200, trigger: 'blur', message: "内容必须是5到200位"},
    customValidators.sensitiveWord?.(
"内容包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'ReporterName': [

// only-max-length 
    
    { type: "string", max: 4, trigger: 'blur', message: "姓名最长不超过4字"},
    customValidators.sensitiveWord?.(
"姓名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'ReporterMobile': [

// only-max-length 
    
    { type: "string", max: 11, trigger: 'blur', message: "手机号码最长不超过11字"},
// regex-pattern
    { type: "string", pattern: /^1[3456789]\\d{9}$/, trigger: 'blur', message: "请输入合法的手机号"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'ReportReason'
: 
    ReportReasonEnum; //is single enum

//a smart property
    @Length(5, 200)
 'ReportContent'
: 
    string; // not enum

//a smart property
 'ReporterName'
    ?
: 
    string; // not enum

//a smart property
    @Matches(/^1[3456789]\\d{9}$/)
 'ReporterMobile'
    ?
: 
    string; // not enum

}
//export namespace ReportInputModelBase 
export enum ReportReasonEnum {
	Adult = 'Adult',
	Political = 'Political',
	Advertisement = 'Advertisement',
	Rumour = 'Rumour',
	Cheat = 'Cheat',
	Illegal = 'Illegal',
	Other = 'Other'
}

