// FHT Swagger axios client V2


// mark 2 model generic

import { PaginationInputModel } from "../model/PaginationInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SearchArticlesInputModel extends PaginationInputModel  {
public static LABELS = {
    "ShowStatus": "展示状态",
    "Q": "检索词",
    "ArticleTypeId": "文章类型",
    "OrderType": "排序方式",
    "CurrPage": "页码",
    "Limit": "条数",
}
public static VALIDATORS = {
'FromTime': [

].filter(r=>r) as ValidationRule[],
'EndTime': [

].filter(r=>r) as ValidationRule[],
'ShowStatus': [

].filter(r=>r) as ValidationRule[],
'Q': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "检索词最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'ArticleTypeId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "文章类型必须不小于1"},
].filter(r=>r) as ValidationRule[],
'OrderType': [

].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 1000, trigger: 'blur', message: "条数必须为1与1000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'FromTime'
    ?
: 
null |
    Date; // not enum

//a smart property
 'EndTime'
    ?
: 
null |
    Date; // not enum

//a smart property
 'ShowStatus'
    ?
: 
null |
    AuditDisplayStatusEnum; //is single enum

//a smart property
 'Q'
    ?
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'ArticleTypeId'
    ?
: 
null |
    number; // not enum

//a smart property
 'OrderType'
: 
    OrderTypeEnum; //is single enum

//a smart property

//a smart property

}
//export namespace SearchArticlesInputModel 
export enum AuditDisplayStatusEnum {
	Accepted = 'Accepted',
	Pending = 'Pending',
	Rejected = 'Rejected'
}
export enum OrderTypeEnum {
	Ascending = 'Ascending',
	Descending = 'Descending'
}

