// FHT Swagger axios client V2


// mark 2 model generic

import { LimitedPaginationInputModel } from "../model/LimitedPaginationInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SearchCmsSettingInputModel extends LimitedPaginationInputModel  {
public static LABELS = {
    "CompanyId": "公司Id",
    "TemplateId": "模板Id",
    "Option": "操作",
    "Limit": "每页数据总数",
    "CurrPage": "页码",
}
public static VALIDATORS = {
'CompanyId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "公司Id必须不小于1"},
].filter(r=>r) as ValidationRule[],
'TemplateId': [

// min-max-length
    
    { type: "string", min: 4, max: 40, trigger: 'blur', message: "模板Id必须为4到40位"},
].filter(r=>r) as ValidationRule[],
'Option': [

].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 100, trigger: 'blur', message: "每页最多取1条数据"},
].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'CompanyId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Length(4, 40)
 'TemplateId'
    ?
: 
    string; // not enum

//a smart property
 'Option'
    ?
: 
null |
    CmsSettingFilterOptionsEnum; //is single enum

//a smart property

//a smart property

}
//export namespace SearchCmsSettingInputModel 
export enum CmsSettingFilterOptionsEnum {
	All = 'All',
	NeedsMigration = 'NeedsMigration'
}

