// FHT Swagger axios client V2


// mark 2 model generic

import { PaginationInputModel } from "../model/PaginationInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SearchTopicPostPagerInputModel extends PaginationInputModel  {
public static LABELS = {
    "Q": "标题",
    "UserId": "所属用户",
    "TopicPostId": "编号",
    "TopicTypeId": "编号",
    "ShowStatus": "展示状态",
    "OrderType": "排序方式",
    "CurrPage": "页码",
    "Limit": "条数",
}
public static VALIDATORS = {
'Q': [

// min-max-length
    
    { type: "string", min: 1, max: 20, trigger: 'blur', message: "标题必须1到20字符"},
].filter(r=>r) as ValidationRule[],
'UserId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "所属用户必须不小于1"},
].filter(r=>r) as ValidationRule[],
'TopicPostId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "编号必须不小于1"},
].filter(r=>r) as ValidationRule[],
'TopicTypeId': [

// min-max-range
    
    { type: "number",  min: 0, max: 2147483647, trigger: 'blur', message: "编号必须不小于0"},
].filter(r=>r) as ValidationRule[],
'ShowStatus': [

].filter(r=>r) as ValidationRule[],
'OrderType': [

].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 1000, trigger: 'blur', message: "条数必须为1与1000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Length(1, 20)
 'Q'
    ?
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'UserId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
 'TopicPostId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(0)
    @Max(2147483647)
 'TopicTypeId'
    ?
: 
null |
    number; // not enum

//a smart property
 'ShowStatus'
    ?
: 
null |
    AuditDisplayStatusEnum; //is single enum

//a smart property
 'OrderType'
: 
    OrderTypeEnum; //is single enum

//a smart property

//a smart property

}
//export namespace SearchTopicPostPagerInputModel 
export enum AuditDisplayStatusEnum {
	Accepted = 'Accepted',
	Pending = 'Pending',
	Rejected = 'Rejected'
}
export enum OrderTypeEnum {
	Ascending = 'Ascending',
	Descending = 'Descending'
}

