// FHT Swagger axios client V2


// mark 2 model generic

import { SearchArgumentsInputModel } from "../model/SearchArgumentsInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SearchTopicpostArgumentsInputModel extends SearchArgumentsInputModel  {
public static LABELS = {
    "RegionId": "地区",
    "IsActiveIndexSort": "综合排序",
    "HasOnlyCompany": "有企业",
    "ProductCategoryId": "系统分类",
    "CustomCategoryId": "自定义分类",
    "IsMobileUser": "是否移动端用户",
    "TimeRule": "时间段",
    "Q": "搜索词",
    "Latitude": "纬度",
    "Longitude": "经度",
    "TopicTypeId": "服务类型",
    "PinYin": "拼音",
    "TopicTypeName": "类型名称",
    "IndustryId": "行业",
    "RegionName": "地区",
    "TimeRuleName": "时间区域范围",
    "Limit": "每页数据总数",
    "CurrPage": "页码",
}
public static VALIDATORS = {
'RegionId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "地区必须不小于1"},
].filter(r=>r) as ValidationRule[],
'IsActiveIndexSort': [

].filter(r=>r) as ValidationRule[],
'HasOnlyCompany': [

].filter(r=>r) as ValidationRule[],
'ProductCategoryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "系统分类必须不小于1"},
].filter(r=>r) as ValidationRule[],
'CustomCategoryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "自定义分类必须不小于1"},
].filter(r=>r) as ValidationRule[],
'IsMobileUser': [

].filter(r=>r) as ValidationRule[],
'TimeRule': [

].filter(r=>r) as ValidationRule[],
'Q': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "搜索词最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'Latitude': [

// min-max-range
    
    { type: "number",  min: 0, max: 90, trigger: 'blur', message: "纬度必须为0与90之间"},
].filter(r=>r) as ValidationRule[],
'Longitude': [

// min-max-range
    
    { type: "number",  min: 0, max: 180, trigger: 'blur', message: "经度必须为0与180之间"},
].filter(r=>r) as ValidationRule[],
'TopicTypeId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "服务类型必须不小于1"},
].filter(r=>r) as ValidationRule[],
'PinYin': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "拼音最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'TopicTypeName': [

// only-max-length 
    
    { type: "string", max: 20, trigger: 'blur', message: "类型名称最长不超过20字"},
].filter(r=>r) as ValidationRule[],
'IndustryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "行业必须不小于1"},
].filter(r=>r) as ValidationRule[],
'RegionName': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "地区最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'TimeRuleName': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "时间区域范围最长不超过200字"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 100, trigger: 'blur', message: "每页最多取1条数据"},
].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
    @Max(2147483647)
 'RegionId'
    ?
: 
null |
    number; // not enum

//a smart property
 'IsActiveIndexSort'
: 
    boolean; // not enum

//a smart property
 'HasOnlyCompany'
: 
    boolean; // not enum

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

//a smart property

}
//export namespace SearchTopicpostArgumentsInputModel 
export enum TimeRuleEnum {
	All = 'All',
	Within24Hours = 'Within24Hours',
	Within3Days = 'Within3Days',
	Within1Week = 'Within1Week',
	Within1Month = 'Within1Month'
}

