// FHT Swagger axios client V2


// mark 2 model generic

import { SimpleSearchInputModel } from "../model/SimpleSearchInputModel";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   SimpleSearchCompanyInputModel extends SimpleSearchInputModel  {
public static LABELS = {
    "RegionPinYin": "拼音",
    "RegionId": "地区",
    "IndustryId": "行业",
    "KeywordId": "关键词ID",
    "IsActiveIndexSort": "综合排序",
    "IsOnlyCompanyVerified": "认证企业",
    "IsOnlyVipCompany": "Vip企业",
    "Q": "检索词",
    "Limit": "每页数据总数",
    "CurrPage": "页码",
}
public static VALIDATORS = {
'RegionPinYin': [

// only-max-length 
    
    { type: "string", max: 50, trigger: 'blur', message: "拼音最长不超过50字"},
].filter(r=>r) as ValidationRule[],
'RegionId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "地区必须不小于1"},
].filter(r=>r) as ValidationRule[],
'IndustryId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "行业必须不小于1"},
].filter(r=>r) as ValidationRule[],
'KeywordId': [

// min-max-range
    
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "关键词ID必须不小于1"},
].filter(r=>r) as ValidationRule[],
'IsActiveIndexSort': [

].filter(r=>r) as ValidationRule[],
'IsOnlyCompanyVerified': [

].filter(r=>r) as ValidationRule[],
'IsOnlyVipCompany': [

].filter(r=>r) as ValidationRule[],
'Q': [

// min-max-length
    
    { type: "string", min: 1, max: 20, trigger: 'blur', message: "检索词必须1到20字符"},
].filter(r=>r) as ValidationRule[],
'Limit': [

// min-max-range
    
    { type: "number",  min: 1, max: 100, trigger: 'blur', message: "每页最多取1条数据"},
].filter(r=>r) as ValidationRule[],
'CurrPage': [

// min-max-range
    
    { type: "number",  min: 1, max: 10000, trigger: 'blur', message: "页码必须为1与10000之间"},
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
 'RegionPinYin'
    ?
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'RegionId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'IndustryId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'KeywordId'
    ?
: 
null |
    number; // not enum

//a smart property
 'IsActiveIndexSort'
: 
    boolean; // not enum

//a smart property
 'IsOnlyCompanyVerified'
: 
    boolean; // not enum

//a smart property
 'IsOnlyVipCompany'
: 
    boolean; // not enum

//a smart property

//a smart property

//a smart property

}

