// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   TestSwaggerSimpleInputModel {
public static LABELS = {
    "RequiredInt": "必须整数",
    "NonRequiredInt": "非必须整数",
    "NullableInt": "可空整数",
    "RequiredString": "公司名称",
    "NonRequiredString": "非必须字符串",
    "Gender": "必须性别",
    "NullableGender": "非必须性别",
}
public static VALIDATORS = {
'RequiredInt': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "必须输入必须整数" }, 
    { type: "number",  min: 12, max: 2147483647, trigger: 'blur', message: "必须整数必须不小于12"},
].filter(r=>r) as ValidationRule[],
'NonRequiredInt': [

// min-max-range
    
    { type: "number",  min: 13, max: 19, trigger: 'blur', message: "非必须整数必须为13与19之间"},
].filter(r=>r) as ValidationRule[],
'NullableInt': [

// min-max-range
    
    { type: "number",  min: 23, max: 25, trigger: 'blur', message: "可空整数必须为23与25之间"},
].filter(r=>r) as ValidationRule[],
'RequiredString': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入公司名称" }, 
    { type: "string", min: 2, max: 20, trigger: 'blur', message: "公司名称必须是2到20位"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "公司名称只允许中文，英文，数字，小括号，并且只能以中文和英文开头"},
    customValidators.sensitiveWord?.(
"公司名称包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'NonRequiredString': [

// min-max-length
    
    { type: "string", min: 8, max: 40, trigger: 'blur', message: "非必须字符串必须是8到40位"},
// regex-pattern
    { type: "string", pattern: /[\\w\\d]+/, trigger: 'blur', message: "仅字符和数字"},
].filter(r=>r) as ValidationRule[],
'Gender': [

].filter(r=>r) as ValidationRule[],
'NullableGender': [

].filter(r=>r) as ValidationRule[],
'Inner': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(12)
    @Max(2147483647)
 'RequiredInt'
: 
    number; // not enum

//a smart property
    @Min(13)
    @Max(19)
 'NonRequiredInt'
: 
    number; // not enum

//a smart property
    @Min(23)
    @Max(25)
 'NullableInt'
    ?
: 
null |
    number; // not enum

//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 20)
 'RequiredString'
: 
    string; // not enum

//a smart property
    @Matches(/[\\w\\d]+/)
    @Length(8, 40)
 'NonRequiredString'
    ?
: 
    string; // not enum

//a smart property
 'Gender'
: 
    GenderEnum; //is single enum

//a smart property
 'NullableGender'
    ?
: 
null |
    GenderEnum; //is single enum

//a smart property
 'Inner'
    ?
: 
    models.TestSwaggerInnerInputModel; // not enum

}
//export namespace TestSwaggerSimpleInputModel 
export enum GenderEnum {
	Male = 'Male',
	Female = 'Female'
}
export enum GenderEnum {
	Male = 'Male',
	Female = 'Female'
}

