// FHT Swagger axios client V2


/**
 * FHT.Common.Enums.TimeRule, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Common.Enums.TimeRule, FHT.Common.Enums, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum TimeRuleEnum {
    All = "All",
    Within24Hours = "Within24Hours",
    Within3Days = "Within3Days",
    Within1Week = "Within1Week",
    Within1Month = "Within1Month",
}

export function convertFromTimeRuleEnum(e: TimeRuleEnum): number{
    switch(e){
        case TimeRuleEnum.All:
            return 1;
        case TimeRuleEnum.Within24Hours:
            return 2;
        case TimeRuleEnum.Within3Days:
            return 3;
        case TimeRuleEnum.Within1Week:
            return 4;
        case TimeRuleEnum.Within1Month:
            return 5;
        default:
            throw new Error(`${e} is an invalid TimeRuleEnum`);
    }
}

export function convertToTimeRuleEnum(n: number): TimeRuleEnum{
    switch(n){
        case 1:
            return TimeRuleEnum.All;
        case 2:
            return TimeRuleEnum.Within24Hours;
        case 3:
            return TimeRuleEnum.Within3Days;
        case 4:
            return TimeRuleEnum.Within1Week;
        case 5:
            return TimeRuleEnum.Within1Month;
        default:
            throw new Error(`${n} is an invalid TimeRuleEnum`);
    }
}

export function describeTimeRuleEnum(e: TimeRuleEnum): string{
    switch(e){
        case TimeRuleEnum.All:
            return "所有时间";
        case TimeRuleEnum.Within24Hours:
            return "24小时内";
        case TimeRuleEnum.Within3Days:
            return "近三天";
        case TimeRuleEnum.Within1Week:
            return "近一周";
        case TimeRuleEnum.Within1Month:
            return "近一月";
        default:
            throw new Error(`${e} is an invalid TimeRuleEnum`);
    }
}


