// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   TopicPostInputModel {
public static LABELS = {
    "TopicTypeId": "类别",
    "Title": "标题",
    "Content": "内容",
    "PicUrls": "上传图片",
    "GeoCity": "城市",
    "IsShowGeoAddress": "显示位置",
}
public static VALIDATORS = {
'TopicPostId': [

// only-min-range
    
    { type: "number", min: 1, trigger: 'blur', message: "必须不小于1"},
].filter(r=>r) as ValidationRule[],
'TopicTypeId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请选择类别" }, 
    { type: "number",  min: 0, max: 10000, trigger: 'blur', message: "类别必须是在10000到0之间"},
].filter(r=>r) as ValidationRule[],
'Title': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入标题" }, 
    { type: "string", min: 2, max: 40, trigger: 'blur', message: "标题必须是2到40个字"},
    customValidators.sensitiveWord?.(
"标题包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'Content': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入内容" }, 
    { type: "string", min: 10, max: 100000, trigger: 'blur', message: "内容必须是10到100000个字"},
    customValidators.sensitiveWord?.(
"内容包含敏感词"
    ),
    customValidators.htmlTextLength?.(
"内容的长度必须在10与100000之间",
10,
100000
    ),
].filter(r=>r) as ValidationRule[],
'PicUrls': [

    customValidators.elementCount?.(
"上传图片的个数必须为0与8之间",
0,
8,
    )
].filter(r=>r) as ValidationRule[],
'GeoLocation': [

].filter(r=>r) as ValidationRule[],
'DeviceType': [

].filter(r=>r) as ValidationRule[],
'GeoCity': [

// only-max-length 
    
    { type: "string", max: 15, trigger: 'blur', message: "城市最长不超过15字"},
].filter(r=>r) as ValidationRule[],
'GeoAddress': [

].filter(r=>r) as ValidationRule[],
'IsShowGeoAddress': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Min(1)
 'TopicPostId'
    ?
: 
null |
    number; // not enum

//a smart property
    @Min(0)
    @Max(10000)
 'TopicTypeId'
: 
    number; // not enum

//a smart property
    @Length(2, 40)
 'Title'
: 
    string; // not enum

//a smart property
    @Length(10, 100000)
 'Content'
: 
    string; // not enum

//a smart property
 'PicUrls'
    ?
: 
    Array<string>; // not enum

//a smart property
 'GeoLocation'
    ?
: 
    models.GeoLocationInputModel; // not enum

//a smart property
 'DeviceType'
: 
    DeviceTypeEnum; //is single enum

//a smart property
 'GeoCity'
    ?
: 
    string; // not enum

//a smart property
 'GeoAddress'
    ?
: 
    models.GeoAddressInputModel; // not enum

//a smart property
 'IsShowGeoAddress'
: 
    boolean; // not enum

}
//export namespace TopicPostInputModel 
export enum DeviceTypeEnum {
	Web = 'Web',
	Ios = 'Ios',
	Android = 'Android',
	MobileWeb = 'MobileWeb',
	Other = 'Other'
}

