// FHT Swagger axios client V2


// mark 2 model generic

import { NavigationContentInputModelBase } from "../model/NavigationContentInputModelBase";

import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UrlNavigationContentInputModel extends NavigationContentInputModelBase  {
public static LABELS = {
    "Url": "链接",
    "ContentType": "导航类型",
}
public static VALIDATORS = {
'Url': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "必须输入链接" }, 
    { type: "string", min: 1, max: 200, trigger: 'blur', message: "链接必须1到200字符"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'ContentType': [

].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
    @Length(1, 200)
 'Url'
: 
    string; // not enum

//a smart property

}
//export namespace UrlNavigationContentInputModel 
export enum NavigationContentTypeEnum {
	Preset = 'Preset',
	CustomPage = 'CustomPage',
	ArticleType = 'ArticleType',
	Url = 'Url',
	CustomCategory = 'CustomCategory'
}

