// FHT Swagger axios client V2


/**
 * FHT.Statistics.Interfaces.Dto.Common.UserActivityType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Statistics.Interfaces.Dto.Common.UserActivityType, FHT.Statistics.Interfaces, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum UserActivityTypeEnum {
    EnterApp = "EnterApp",
    Register = "Register",
    Login = "Login",
    CreateCompany = "CreateCompany",
    Create = "Create",
    Update = "Update",
    ViewDetail = "ViewDetail",
    Impression = "Impression",
    ViewList = "ViewList",
    Search = "Search",
    Hover = "Hover",
    Click = "Click",
    Collect = "Collect",
    Report = "Report",
    Chat = "Chat",
    Forward = "Forward",
    FriendRequest = "FriendRequest",
    AcceptFriend = "AcceptFriend",
    RejectFriend = "RejectFriend",
    Error = "Error",
    AuthenticateCompany = "AuthenticateCompany",
    EnableShop = "EnableShop",
    CompanyManagement = "CompanyManagement",
    JoinCompany = "JoinCompany",
    SwitchTemplate = "SwitchTemplate",
}

export function convertFromUserActivityTypeEnum(e: UserActivityTypeEnum): number{
    switch(e){
        case UserActivityTypeEnum.EnterApp:
            return 101;
        case UserActivityTypeEnum.Register:
            return 102;
        case UserActivityTypeEnum.Login:
            return 103;
        case UserActivityTypeEnum.CreateCompany:
            return 111;
        case UserActivityTypeEnum.Create:
            return 121;
        case UserActivityTypeEnum.Update:
            return 122;
        case UserActivityTypeEnum.ViewDetail:
            return 201;
        case UserActivityTypeEnum.Impression:
            return 202;
        case UserActivityTypeEnum.ViewList:
            return 203;
        case UserActivityTypeEnum.Search:
            return 204;
        case UserActivityTypeEnum.Hover:
            return 205;
        case UserActivityTypeEnum.Click:
            return 206;
        case UserActivityTypeEnum.Collect:
            return 301;
        case UserActivityTypeEnum.Report:
            return 302;
        case UserActivityTypeEnum.Chat:
            return 303;
        case UserActivityTypeEnum.Forward:
            return 304;
        case UserActivityTypeEnum.FriendRequest:
            return 311;
        case UserActivityTypeEnum.AcceptFriend:
            return 312;
        case UserActivityTypeEnum.RejectFriend:
            return 313;
        case UserActivityTypeEnum.Error:
            return 400;
        case UserActivityTypeEnum.AuthenticateCompany:
            return 512;
        case UserActivityTypeEnum.EnableShop:
            return 513;
        case UserActivityTypeEnum.CompanyManagement:
            return 514;
        case UserActivityTypeEnum.JoinCompany:
            return 515;
        case UserActivityTypeEnum.SwitchTemplate:
            return 516;
        default:
            throw new Error(`${e} is an invalid UserActivityTypeEnum`);
    }
}

export function convertToUserActivityTypeEnum(n: number): UserActivityTypeEnum{
    switch(n){
        case 101:
            return UserActivityTypeEnum.EnterApp;
        case 102:
            return UserActivityTypeEnum.Register;
        case 103:
            return UserActivityTypeEnum.Login;
        case 111:
            return UserActivityTypeEnum.CreateCompany;
        case 121:
            return UserActivityTypeEnum.Create;
        case 122:
            return UserActivityTypeEnum.Update;
        case 201:
            return UserActivityTypeEnum.ViewDetail;
        case 202:
            return UserActivityTypeEnum.Impression;
        case 203:
            return UserActivityTypeEnum.ViewList;
        case 204:
            return UserActivityTypeEnum.Search;
        case 205:
            return UserActivityTypeEnum.Hover;
        case 206:
            return UserActivityTypeEnum.Click;
        case 301:
            return UserActivityTypeEnum.Collect;
        case 302:
            return UserActivityTypeEnum.Report;
        case 303:
            return UserActivityTypeEnum.Chat;
        case 304:
            return UserActivityTypeEnum.Forward;
        case 311:
            return UserActivityTypeEnum.FriendRequest;
        case 312:
            return UserActivityTypeEnum.AcceptFriend;
        case 313:
            return UserActivityTypeEnum.RejectFriend;
        case 400:
            return UserActivityTypeEnum.Error;
        case 512:
            return UserActivityTypeEnum.AuthenticateCompany;
        case 513:
            return UserActivityTypeEnum.EnableShop;
        case 514:
            return UserActivityTypeEnum.CompanyManagement;
        case 515:
            return UserActivityTypeEnum.JoinCompany;
        case 516:
            return UserActivityTypeEnum.SwitchTemplate;
        default:
            throw new Error(`${n} is an invalid UserActivityTypeEnum`);
    }
}

export function describeUserActivityTypeEnum(e: UserActivityTypeEnum): string{
    switch(e){
        case UserActivityTypeEnum.EnterApp:
            return "移动端启动";
        case UserActivityTypeEnum.Register:
            return "注册";
        case UserActivityTypeEnum.Login:
            return "登录";
        case UserActivityTypeEnum.CreateCompany:
            return "新建公司";
        case UserActivityTypeEnum.Create:
            return "创建";
        case UserActivityTypeEnum.Update:
            return "更新";
        case UserActivityTypeEnum.ViewDetail:
            return "阅读";
        case UserActivityTypeEnum.Impression:
            return "曝光";
        case UserActivityTypeEnum.ViewList:
            return "浏览列表";
        case UserActivityTypeEnum.Search:
            return "搜索";
        case UserActivityTypeEnum.Hover:
            return "悬浮查看";
        case UserActivityTypeEnum.Click:
            return "点击";
        case UserActivityTypeEnum.Collect:
            return "收藏";
        case UserActivityTypeEnum.Report:
            return "投诉";
        case UserActivityTypeEnum.Chat:
            return "聊天";
        case UserActivityTypeEnum.Forward:
            return "转发";
        case UserActivityTypeEnum.FriendRequest:
            return "好友请求";
        case UserActivityTypeEnum.AcceptFriend:
            return "接受好友请求";
        case UserActivityTypeEnum.RejectFriend:
            return "接受好友请求";
        case UserActivityTypeEnum.Error:
            return "客户端错误";
        case UserActivityTypeEnum.AuthenticateCompany:
            return "认证公司";
        case UserActivityTypeEnum.EnableShop:
            return "开启商铺铺";
        case UserActivityTypeEnum.CompanyManagement:
            return "公司管理";
        case UserActivityTypeEnum.JoinCompany:
            return "成员加入公司";
        case UserActivityTypeEnum.SwitchTemplate:
            return "改变模板";
        default:
            throw new Error(`${e} is an invalid UserActivityTypeEnum`);
    }
}


