// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.UserCenterMenu, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.UserCenterMenu, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum UserCenterMenuEnum {
    UserHome = "UserHome",
    UserProfile = "UserProfile",
    ViewingHistory = "ViewingHistory",
    CreateTopicPost = "CreateTopicPost",
    MyCompany = "MyCompany",
    MyTopicPosts = "MyTopicPosts",
    MyCollections = "MyCollections",
    MyNotifications = "MyNotifications",
    AccountSecurity = "AccountSecurity",
    InviteApplies = "InviteApplies",
    CreateCompany = "CreateCompany",
    JoinCompany = "JoinCompany",
    CreateTopicPostFinished = "CreateTopicPostFinished",
    SecuritySettings = "SecuritySettings",
    AccountBinding = "AccountBinding",
}

export function convertFromUserCenterMenuEnum(e: UserCenterMenuEnum): number{
    switch(e){
        case UserCenterMenuEnum.UserHome:
            return 1;
        case UserCenterMenuEnum.UserProfile:
            return 2;
        case UserCenterMenuEnum.ViewingHistory:
            return 4;
        case UserCenterMenuEnum.CreateTopicPost:
            return 5;
        case UserCenterMenuEnum.MyCompany:
            return 6;
        case UserCenterMenuEnum.MyTopicPosts:
            return 7;
        case UserCenterMenuEnum.MyCollections:
            return 8;
        case UserCenterMenuEnum.MyNotifications:
            return 9;
        case UserCenterMenuEnum.AccountSecurity:
            return 10;
        case UserCenterMenuEnum.InviteApplies:
            return 11;
        case UserCenterMenuEnum.CreateCompany:
            return 12;
        case UserCenterMenuEnum.JoinCompany:
            return 13;
        case UserCenterMenuEnum.CreateTopicPostFinished:
            return 14;
        case UserCenterMenuEnum.SecuritySettings:
            return 15;
        case UserCenterMenuEnum.AccountBinding:
            return 16;
        default:
            throw new Error(`${e} is an invalid UserCenterMenuEnum`);
    }
}

export function convertToUserCenterMenuEnum(n: number): UserCenterMenuEnum{
    switch(n){
        case 1:
            return UserCenterMenuEnum.UserHome;
        case 2:
            return UserCenterMenuEnum.UserProfile;
        case 4:
            return UserCenterMenuEnum.ViewingHistory;
        case 5:
            return UserCenterMenuEnum.CreateTopicPost;
        case 6:
            return UserCenterMenuEnum.MyCompany;
        case 7:
            return UserCenterMenuEnum.MyTopicPosts;
        case 8:
            return UserCenterMenuEnum.MyCollections;
        case 9:
            return UserCenterMenuEnum.MyNotifications;
        case 10:
            return UserCenterMenuEnum.AccountSecurity;
        case 11:
            return UserCenterMenuEnum.InviteApplies;
        case 12:
            return UserCenterMenuEnum.CreateCompany;
        case 13:
            return UserCenterMenuEnum.JoinCompany;
        case 14:
            return UserCenterMenuEnum.CreateTopicPostFinished;
        case 15:
            return UserCenterMenuEnum.SecuritySettings;
        case 16:
            return UserCenterMenuEnum.AccountBinding;
        default:
            throw new Error(`${n} is an invalid UserCenterMenuEnum`);
    }
}

export function describeUserCenterMenuEnum(e: UserCenterMenuEnum): string{
    switch(e){
        case UserCenterMenuEnum.UserHome:
            return "个人首页";
        case UserCenterMenuEnum.UserProfile:
            return "个人资料";
        case UserCenterMenuEnum.ViewingHistory:
            return "历史足迹";
        case UserCenterMenuEnum.CreateTopicPost:
            return "发布信息";
        case UserCenterMenuEnum.MyCompany:
            return "我的企业";
        case UserCenterMenuEnum.MyTopicPosts:
            return "发布服务";
        case UserCenterMenuEnum.MyCollections:
            return "我的收藏";
        case UserCenterMenuEnum.MyNotifications:
            return "我的通知";
        case UserCenterMenuEnum.AccountSecurity:
            return "账号安全";
        case UserCenterMenuEnum.InviteApplies:
            return "待处理";
        case UserCenterMenuEnum.CreateCompany:
            return "创建企业";
        case UserCenterMenuEnum.JoinCompany:
            return "加入企业";
        case UserCenterMenuEnum.CreateTopicPostFinished:
            return "服务发布成功";
        case UserCenterMenuEnum.SecuritySettings:
            return "安全设置";
        case UserCenterMenuEnum.AccountBinding:
            return "账号绑定";
        default:
            throw new Error(`${e} is an invalid UserCenterMenuEnum`);
    }
}


