// FHT Swagger axios client V2


// mark 2 model generic


import {Matches, validateOrReject, IsInt, Length, MinLength, MaxLength, Min, Max} from "class-validator";
import { ValidationRule  , customValidators 
 } from "../api/api";

// not an enum
export  class   UserProfileInputModel {
public static LABELS = {
    "RealName": "姓名",
    "BirthYear": "出生年份",
    "Gender": "性别",
    "Profession": "职位",
    "IndustryId": "行业",
    "AvatarUrl": "头像",
    "Wechat": "微信",
}
public static VALIDATORS = {
'RealName': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入姓名" }, 
    { type: "string", min: 2, max: 4, trigger: 'blur', message: "姓名必须为2到4字符"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/, trigger: 'blur', message: "姓名必须为2到4个汉字"},
    customValidators.sensitiveWord?.(
"姓名包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'BirthYear': [

// min-max-range
    
    { type: "number",  min: 1900, max: 2147483647, trigger: 'blur', message: "出生年份必须不小于1900"},
    customValidators.birthYear?.(
"出生年份必须为合法的生日",
1900,
    ),
].filter(r=>r) as ValidationRule[],
'Gender': [

].filter(r=>r) as ValidationRule[],
'Profession': [

// min-max-length
     { type: "string", required: true, trigger: 'blur', message: "请输入职位" }, 
    { type: "string", min: 2, max: 10, trigger: 'blur', message: "职位必须是2到10位"},
// regex-pattern
    { type: "string", pattern: /^[A-Za-z\\u4E00-\\u9FA5]*$/, trigger: 'blur', message: "职位只允许汉字和字母！"},
    customValidators.sensitiveWord?.(
"职位包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
'IndustryId': [

// min-max-range
     { type: "number", required: true, trigger: 'blur', message: "请输入行业" }, 
    { type: "number",  min: 1, max: 2147483647, trigger: 'blur', message: "行业必须在2147483647到1之间"},
].filter(r=>r) as ValidationRule[],
'AvatarUrl': [

// only-max-length 
    
    { type: "string", max: 200, trigger: 'blur', message: "头像最长不超过200字"},
// regex-pattern
    { type: "string", pattern: /^[hH][tT][tT][pP][sH]?:\/\/.*$/, trigger: 'blur', message: "请输入http或https开头的url"},
].filter(r=>r) as ValidationRule[],
'Region': [

].filter(r=>r) as ValidationRule[],
'HometownRegion': [

].filter(r=>r) as ValidationRule[],
'Wechat': [

// only-max-length 
    
    { type: "string", max: 100, trigger: 'blur', message: "微信最长不超过100字"},
    customValidators.sensitiveWord?.(
"微信包含敏感词"
    ),
].filter(r=>r) as ValidationRule[],
}
 
//a smart property
    @Matches(/^[A-Za-z0-9\\u4E00-\\u9FA5][A-Za-z0-9\\(\\)\\（\\）\\u4E00-\\u9FA5]{1,19}$/)
    @Length(2, 4)
 'RealName'
: 
    string; // not enum

//a smart property
    @Min(1900)
    @Max(2147483647)
 'BirthYear'
    ?
: 
null |
    number; // not enum

//a smart property
 'Gender'
: 
null |
    GenderEnum; //is single enum

//a smart property
    @Matches(/^[A-Za-z\\u4E00-\\u9FA5]*$/)
    @Length(2, 10)
 'Profession'
: 
    string; // not enum

//a smart property
    @Min(1)
    @Max(2147483647)
 'IndustryId'
: 
    number; // not enum

//a smart property
    @Matches(/^[hH][tT][tT][pP][sH]?:\/\/.*$/)
 'AvatarUrl'
    ?
: 
    string; // not enum

//a smart property
 'Region'
: 
    models.CoreRegionInputModel; // not enum

//a smart property
 'HometownRegion'
: 
    models.CoreRegionInputModel; // not enum

//a smart property
 'Wechat'
    ?
: 
    string; // not enum

}
//export namespace UserProfileInputModel 
export enum GenderEnum {
	Male = 'Male',
	Female = 'Female'
}

