// FHT Swagger axios client V2


/**
 * FHT.Core.CommonTypes.UuidCodeType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.CommonTypes.UuidCodeType, FHT.Core.CommonTypes, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum UuidCodeTypeEnum {
    NotScanned = "NotScanned",
    ToBeConfirmed = "ToBeConfirmed",
    Revoke = "Revoke",
    SignedIn = "SignedIn",
    Invalid = "Invalid",
    Used = "Used",
}

export function convertFromUuidCodeTypeEnum(e: UuidCodeTypeEnum): number{
    switch(e){
        case UuidCodeTypeEnum.NotScanned:
            return 201;
        case UuidCodeTypeEnum.ToBeConfirmed:
            return 202;
        case UuidCodeTypeEnum.Revoke:
            return 203;
        case UuidCodeTypeEnum.SignedIn:
            return 204;
        case UuidCodeTypeEnum.Invalid:
            return 205;
        case UuidCodeTypeEnum.Used:
            return 206;
        default:
            throw new Error(`${e} is an invalid UuidCodeTypeEnum`);
    }
}

export function convertToUuidCodeTypeEnum(n: number): UuidCodeTypeEnum{
    switch(n){
        case 201:
            return UuidCodeTypeEnum.NotScanned;
        case 202:
            return UuidCodeTypeEnum.ToBeConfirmed;
        case 203:
            return UuidCodeTypeEnum.Revoke;
        case 204:
            return UuidCodeTypeEnum.SignedIn;
        case 205:
            return UuidCodeTypeEnum.Invalid;
        case 206:
            return UuidCodeTypeEnum.Used;
        default:
            throw new Error(`${n} is an invalid UuidCodeTypeEnum`);
    }
}

export function describeUuidCodeTypeEnum(e: UuidCodeTypeEnum): string{
    switch(e){
        case UuidCodeTypeEnum.NotScanned:
            return "未扫描";
        case UuidCodeTypeEnum.ToBeConfirmed:
            return "确认登录";
        case UuidCodeTypeEnum.Revoke:
            return "取消授权";
        case UuidCodeTypeEnum.SignedIn:
            return "登录成功";
        case UuidCodeTypeEnum.Invalid:
            return "二维码已失效";
        case UuidCodeTypeEnum.Used:
            return "已占用";
        default:
            throw new Error(`${e} is an invalid UuidCodeTypeEnum`);
    }
}


