// FHT Swagger axios client V2


/**
 * FHT.Core.Web.Models.VueFunctionality, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
 */
    /**
    * FHT.Core.Web.Models.VueFunctionality, FHT.Core.Web, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
    */

// mark 1 model enum
export enum VueFunctionalityEnum {
    Center = "Center",
    Report = "Report",
    Feedback = "Feedback",
    EditTemplate = "EditTemplate",
    LayoutNotifications = "LayoutNotifications",
    CreateTopicPost = "CreateTopicPost",
    Login = "Login",
    FindPassword = "FindPassword",
    Register = "Register",
    AgencyApplicationFormModal = "AgencyApplicationFormModal",
    MemberApplicationFormModal = "MemberApplicationFormModal",
    CmsSettingAdmin = "CmsSettingAdmin",
    BindExternalAccount = "BindExternalAccount",
}

export function convertFromVueFunctionalityEnum(e: VueFunctionalityEnum): number{
    switch(e){
        case VueFunctionalityEnum.Center:
            return 1;
        case VueFunctionalityEnum.Report:
            return 2;
        case VueFunctionalityEnum.Feedback:
            return 3;
        case VueFunctionalityEnum.EditTemplate:
            return 4;
        case VueFunctionalityEnum.LayoutNotifications:
            return 5;
        case VueFunctionalityEnum.CreateTopicPost:
            return 6;
        case VueFunctionalityEnum.Login:
            return 7;
        case VueFunctionalityEnum.FindPassword:
            return 8;
        case VueFunctionalityEnum.Register:
            return 9;
        case VueFunctionalityEnum.AgencyApplicationFormModal:
            return 10;
        case VueFunctionalityEnum.MemberApplicationFormModal:
            return 11;
        case VueFunctionalityEnum.CmsSettingAdmin:
            return 100;
        case VueFunctionalityEnum.BindExternalAccount:
            return 101;
        default:
            throw new Error(`${e} is an invalid VueFunctionalityEnum`);
    }
}

export function convertToVueFunctionalityEnum(n: number): VueFunctionalityEnum{
    switch(n){
        case 1:
            return VueFunctionalityEnum.Center;
        case 2:
            return VueFunctionalityEnum.Report;
        case 3:
            return VueFunctionalityEnum.Feedback;
        case 4:
            return VueFunctionalityEnum.EditTemplate;
        case 5:
            return VueFunctionalityEnum.LayoutNotifications;
        case 6:
            return VueFunctionalityEnum.CreateTopicPost;
        case 7:
            return VueFunctionalityEnum.Login;
        case 8:
            return VueFunctionalityEnum.FindPassword;
        case 9:
            return VueFunctionalityEnum.Register;
        case 10:
            return VueFunctionalityEnum.AgencyApplicationFormModal;
        case 11:
            return VueFunctionalityEnum.MemberApplicationFormModal;
        case 100:
            return VueFunctionalityEnum.CmsSettingAdmin;
        case 101:
            return VueFunctionalityEnum.BindExternalAccount;
        default:
            throw new Error(`${n} is an invalid VueFunctionalityEnum`);
    }
}

export function describeVueFunctionalityEnum(e: VueFunctionalityEnum): string{
    switch(e){
        case VueFunctionalityEnum.Center:
            return "个人中心，企业中心";
        case VueFunctionalityEnum.Report:
            return "举报";
        case VueFunctionalityEnum.Feedback:
            return "意见反馈";
        case VueFunctionalityEnum.EditTemplate:
            return "编辑模板";
        case VueFunctionalityEnum.LayoutNotifications:
            return "topbar顶部通知栏";
        case VueFunctionalityEnum.CreateTopicPost:
            return "免费发布";
        case VueFunctionalityEnum.Login:
            return "登录";
        case VueFunctionalityEnum.FindPassword:
            return "找回密码";
        case VueFunctionalityEnum.Register:
            return "注册";
        case VueFunctionalityEnum.AgencyApplicationFormModal:
            return "代理商加盟申请";
        case VueFunctionalityEnum.MemberApplicationFormModal:
            return "会员申请";
        case VueFunctionalityEnum.CmsSettingAdmin:
            return "CmsSetting管理";
        case VueFunctionalityEnum.BindExternalAccount:
            return "绑定其它账号";
        default:
            throw new Error(`${e} is an invalid VueFunctionalityEnum`);
    }
}


