
import { CoreExceptionCodeEnum } from "./CoreExceptionCodeEnum"
export function convertFromCoreExceptionCodeEnum(e: CoreExceptionCodeEnum): number{
    switch(e){
        case CoreExceptionCodeEnum.FhtValidationErrorException:
            return 100;
        case CoreExceptionCodeEnum.AccountUnauthorizedException:
            return 401;
        case CoreExceptionCodeEnum.InvalidSmsCodeException:
            return 1000;
        case CoreExceptionCodeEnum.UnauthorizedNotificationException:
            return 2000;
        case CoreExceptionCodeEnum.EligibilityException:
            return 3000;
        case CoreExceptionCodeEnum.AccountLockException:
            return 10002;
        case CoreExceptionCodeEnum.AccountException:
            return 10003;
        case CoreExceptionCodeEnum.UserNotFoundException:
            return 10007;
        case CoreExceptionCodeEnum.UserProfileAlreadyCreatedException:
            return 10008;
        case CoreExceptionCodeEnum.UserProfileNotFoundException:
            return 10009;
        case CoreExceptionCodeEnum.UserContactListNotFoundException:
            return 10010;
        case CoreExceptionCodeEnum.ChangePasswordException:
            return 10011;
        case CoreExceptionCodeEnum.AccountExistException:
            return 10012;
        case CoreExceptionCodeEnum.UserGeoLocationNotFoundException:
            return 10013;
        case CoreExceptionCodeEnum.ExistBlockedUsersException:
            return 10014;
        case CoreExceptionCodeEnum.UserNotExistComopanyException:
            return 10015;
        case CoreExceptionCodeEnum.ExistFht1VipAccountException:
            return 10016;
        case CoreExceptionCodeEnum.Fht1AccountException:
            return 10017;
        case CoreExceptionCodeEnum.RegIdentityTypeNotExistException:
            return 10018;
        case CoreExceptionCodeEnum.AccountNotFoundException:
            return 10019;
        case CoreExceptionCodeEnum.ProductCollectionNotFoundException:
            return 12004;
        case CoreExceptionCodeEnum.ProductAuditRejectedException:
            return 12005;
        case CoreExceptionCodeEnum.ProductAuditPendingException:
            return 12006;
        case CoreExceptionCodeEnum.ProductSensitiveWordException:
            return 12007;
        case CoreExceptionCodeEnum.ArticleUnauthorizedException:
            return 14001;
        case CoreExceptionCodeEnum.CompanyMemberException:
            return 20001;
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestException:
            return 20002;
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException:
            return 20004;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestException:
            return 20005;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException:
            return 20006;
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException:
            return 20007;
        case CoreExceptionCodeEnum.NotCompanyMemberException:
            return 20008;
        case CoreExceptionCodeEnum.CompanyMemberUnauthorizedException:
            return 20009;
        case CoreExceptionCodeEnum.UnauthorizedCompanyAdminException:
            return 20010;
        case CoreExceptionCodeEnum.CompanyNotFoundException:
            return 20011;
        case CoreExceptionCodeEnum.CompanyException:
            return 20012;
        case CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException:
            return 20013;
        case CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException:
            return 20014;
        case CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException:
            return 20016;
        case CoreExceptionCodeEnum.UserHasNoCompanyException:
            return 20017;
        case CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException:
            return 20018;
        case CoreExceptionCodeEnum.CompanyMemberOutofLimitException:
            return 20019;
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException:
            return 20020;
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException:
            return 20021;
        case CoreExceptionCodeEnum.UserHasBlockedByInviteUserException:
            return 20022;
        case CoreExceptionCodeEnum.CompanyInvitationCodeException:
            return 20023;
        case CoreExceptionCodeEnum.CompanyMemberCountReachedException:
            return 20024;
        case CoreExceptionCodeEnum.FriendRequestException:
            return 30001;
        case CoreExceptionCodeEnum.NotFriendsException:
            return 30002;
        case CoreExceptionCodeEnum.AlreadyFriendsException:
            return 30003;
        case CoreExceptionCodeEnum.GroupChatMemberOutofLimitException:
            return 30004;
        case CoreExceptionCodeEnum.GroupChatMemberNotFoundException:
            return 30005;
        case CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException:
            return 30006;
        case CoreExceptionCodeEnum.GroupChatNotFoundException:
            return 30007;
        case CoreExceptionCodeEnum.GroupChatIllegalOpeartionException:
            return 30008;
        case CoreExceptionCodeEnum.ChatMemberExistedException:
            return 30009;
        case CoreExceptionCodeEnum.PersonalChatMemberNotFoundException:
            return 30010;
        case CoreExceptionCodeEnum.PersonalChatNotFoundException:
            return 30011;
        case CoreExceptionCodeEnum.PersonalChatConversationNotNullException:
            return 30013;
        case CoreExceptionCodeEnum.TouristChatException:
            return 30016;
        case CoreExceptionCodeEnum.TouristChatNotFoundException:
            return 30017;
        case CoreExceptionCodeEnum.GroupChatUnauthorizedException:
            return 30018;
        case CoreExceptionCodeEnum.PersonalChatException:
            return 30019;
        case CoreExceptionCodeEnum.PersonalChatIllegalException:
            return 30020;
        case CoreExceptionCodeEnum.FailedLeaveGroupChatException:
            return 30021;
        case CoreExceptionCodeEnum.FailedKickFromGroupChatException:
            return 30022;
        case CoreExceptionCodeEnum.FriendRequestExpiredException:
            return 30023;
        case CoreExceptionCodeEnum.UnauthorizedChatException:
            return 30024;
        case CoreExceptionCodeEnum.ForbidTemporaryChatException:
            return 30025;
        case CoreExceptionCodeEnum.InvalidBlockChatException:
            return 30026;
        case CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException:
            return 30027;
        case CoreExceptionCodeEnum.CollectionItemNotFoundException:
            return 40003;
        case CoreExceptionCodeEnum.CollectionItemDataInvalidException:
            return 40005;
        case CoreExceptionCodeEnum.TopicPostNotFoundException:
            return 40006;
        case CoreExceptionCodeEnum.TopicPostUnauthorizedException:
            return 40007;
        case CoreExceptionCodeEnum.TopicPostException:
            return 40008;
        case CoreExceptionCodeEnum.TopicPostCreaterNotFoundException:
            return 40009;
        case CoreExceptionCodeEnum.TopicPostTitleUniqueException:
            return 40010;
        case CoreExceptionCodeEnum.TopicPostAuditRejectedException:
            return 40011;
        case CoreExceptionCodeEnum.TopicPostAuditPendingException:
            return 40012;
        case CoreExceptionCodeEnum.TopicPostSensitiveWordException:
            return 40013;
        case CoreExceptionCodeEnum.TopicTypeException:
            return 40014;
        case CoreExceptionCodeEnum.ReportException:
            return 50001;
        case CoreExceptionCodeEnum.ReportUnauthorizedException:
            return 50002;
        case CoreExceptionCodeEnum.CompanyAuthenticationException:
            return 60001;
        case CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException:
            return 70001;
        case CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException:
            return 70002;
        case CoreExceptionCodeEnum.CompanyNameApplicationException:
            return 70003;
        case CoreExceptionCodeEnum.InvalidRealNameException:
            return 80001;
        case CoreExceptionCodeEnum.IpNotInDatabaseException:
            return 90001;
        case CoreExceptionCodeEnum.InvalidHierachyItemIdException:
            return 100001;
        case CoreExceptionCodeEnum.ProductUnauthorizedException:
            return 120001;
        case CoreExceptionCodeEnum.ProductNotFoundException:
            return 120002;
        case CoreExceptionCodeEnum.ProductException:
            return 120003;
        case CoreExceptionCodeEnum.CustomCategoryUnauthorizedException:
            return 130002;
        case CoreExceptionCodeEnum.ArticleNotFoundException:
            return 140002;
        case CoreExceptionCodeEnum.ArticleTypeNotFoundException:
            return 140003;
        case CoreExceptionCodeEnum.ArticleTypeDuplicateNameException:
            return 140004;
        case CoreExceptionCodeEnum.ArticleTypeUnauthorizedException:
            return 140005;
        case CoreExceptionCodeEnum.ArticleAuditRejectedException:
            return 140006;
        case CoreExceptionCodeEnum.ArticleAuditPendingException:
            return 140007;
        case CoreExceptionCodeEnum.ArticleSensitiveWordException:
            return 140008;
        case CoreExceptionCodeEnum.ArticleTypeInvalidOperationException:
            return 140009;
        case CoreExceptionCodeEnum.MeetupNotFoundException:
            return 150001;
        case CoreExceptionCodeEnum.MeetupUnauthorizedException:
            return 150002;
        case CoreExceptionCodeEnum.MeetupMemberNotFoundException:
            return 150003;
        case CoreExceptionCodeEnum.MeetupMemberUnauthorizedException:
            return 150004;
        case CoreExceptionCodeEnum.MeetupInvitationNotFoundException:
            return 150005;
        case CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException:
            return 150006;
        case CoreExceptionCodeEnum.MeetupApplicationNotFoundException:
            return 150007;
        case CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException:
            return 150008;
        case CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException:
            return 150009;
        case CoreExceptionCodeEnum.MeetupHasBeenCancelledException:
            return 150010;
        case CoreExceptionCodeEnum.MeetupInvitationException:
            return 150011;
        case CoreExceptionCodeEnum.MeetupApplicationException:
            return 150012;
        case CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException:
            return 150013;
        case CoreExceptionCodeEnum.MeetupMemberException:
            return 150014;
        case CoreExceptionCodeEnum.MeetupException:
            return 150015;
        case CoreExceptionCodeEnum.MeetupChatMemberNotFoundException:
            return 150016;
        case CoreExceptionCodeEnum.MeetupChatException:
            return 150017;
        case CoreExceptionCodeEnum.MeetupChatNotFoundException:
            return 150018;
        case CoreExceptionCodeEnum.MeetupHasMaxMemberCountException:
            return 150019;
        case CoreExceptionCodeEnum.MeetupApplicationExpiredException:
            return 150020;
        case CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException:
            return 150021;
        case CoreExceptionCodeEnum.MeetupUsingErrorMethodException:
            return 150022;
        case CoreExceptionCodeEnum.MeetupInvitationExpiredException:
            return 150023;
        case CoreExceptionCodeEnum.MeetupSensitiveWordException:
            return 150024;
        case CoreExceptionCodeEnum.CustomPageNotFoundException:
            return 160001;
        case CoreExceptionCodeEnum.CustomPageUnauthorizedException:
            return 160002;
        case CoreExceptionCodeEnum.NavigationNotFoundException:
            return 160003;
        case CoreExceptionCodeEnum.InvalidNavigationContentTypeException:
            return 160004;
        case CoreExceptionCodeEnum.FriendlyLinkNotFoundException:
            return 170001;
        case CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException:
            return 170002;
        case CoreExceptionCodeEnum.RegionSiteNotFoundException:
            return 180001;
        case CoreExceptionCodeEnum.RegionSiteUnauthorizedException:
            return 180002;
        case CoreExceptionCodeEnum.NotSecondLevelRegionException:
            return 190001;
        case CoreExceptionCodeEnum.RegionLimtException:
            return 190002;
        case CoreExceptionCodeEnum.PageSizeTooLargeException:
            return 200001;
        case CoreExceptionCodeEnum.AdvertisementSynchronizeException:
            return 210001;
        case CoreExceptionCodeEnum.SensitiveWordsException:
            return 220004;
        case CoreExceptionCodeEnum.GrpcClientException:
            return 220005;
        case CoreExceptionCodeEnum.GroupIllegalOpeartionException:
            return 230001;
        case CoreExceptionCodeEnum.GroupMemberNotFoundException:
            return 230002;
        case CoreExceptionCodeEnum.GroupNotFoundException:
            return 230003;
        case CoreExceptionCodeEnum.GroupUnauthorizedException:
            return 230004;
        case CoreExceptionCodeEnum.GroupExistException:
            return 230005;
        case CoreExceptionCodeEnum.WebChatOAuthException:
            return 240001;
        case CoreExceptionCodeEnum.AlipayOAuthException:
            return 240002;
        case CoreExceptionCodeEnum.QQOAuthException:
            return 240003;
        case CoreExceptionCodeEnum.UserOAuthException:
            return 240004;
        case CoreExceptionCodeEnum.GeoIpNotFoundException:
            return 250001;
        default:
            throw new Error(`${e} is an invalid CoreExceptionCodeEnum`);
    }
}
		