
import { NotificationTypeEnum } from "./NotificationTypeEnum"
export function convertFromNotificationTypeEnum(e: NotificationTypeEnum): number{
    switch(e){
        case NotificationTypeEnum.UserProfileModified:
            return 1;
        case NotificationTypeEnum.UserSyncModified:
            return 2;
        case NotificationTypeEnum.UserProfileCreated:
            return 3;
        case NotificationTypeEnum.UserRejected:
            return 4;
        case NotificationTypeEnum.ContactUserCreated:
            return 5;
        case NotificationTypeEnum.RealNameInValid:
            return 6;
        case NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin:
            return 1001;
        case NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser:
            return 1002;
        case NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser:
            return 1003;
        case NotificationTypeEnum.CompanyMemberInviteRequestAccepted:
            return 1004;
        case NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember:
            return 1005;
        case NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf:
            return 1006;
        case NotificationTypeEnum.CompanyAdministratorKickedToKickedMember:
            return 1007;
        case NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf:
            return 1008;
        case NotificationTypeEnum.CompanyMemberKickedToKickedMember:
            return 1009;
        case NotificationTypeEnum.CompanyMemberLeftToSelf:
            return 1010;
        case NotificationTypeEnum.CompanyProfileModified:
            return 1011;
        case NotificationTypeEnum.CompanyMemberKickedToAdminSelf:
            return 1013;
        case NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin:
            return 1016;
        case NotificationTypeEnum.CompanyCreated:
            return 1017;
        case NotificationTypeEnum.CompanyDeactivated:
            return 1018;
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember:
            return 1019;
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf:
            return 1020;
        case NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember:
            return 1021;
        case NotificationTypeEnum.CompanyActivated:
            return 1022;
        case NotificationTypeEnum.CompanyRejected:
            return 1023;
        case NotificationTypeEnum.NearbyCompanyNotified:
            return 1024;
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser:
            return 1025;
        case NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin:
            return 1026;
        case NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf:
            return 1027;
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf:
            return 1028;
        case NotificationTypeEnum.FriendRequestAccepted:
            return 2001;
        case NotificationTypeEnum.FriendRequestCreated:
            return 2002;
        case NotificationTypeEnum.PersonalUserSettingModified:
            return 2003;
        case NotificationTypeEnum.PersonalUserBlockEnabled:
            return 2004;
        case NotificationTypeEnum.PersonalUserBlockDisabled:
            return 2005;
        case NotificationTypeEnum.GroupChatMemberJoined:
            return 3001;
        case NotificationTypeEnum.GroupChatAdminTransferred:
            return 3002;
        case NotificationTypeEnum.GroupChatNameChanged:
            return 3004;
        case NotificationTypeEnum.GroupChatAvatarChanged:
            return 3005;
        case NotificationTypeEnum.GroupChatMemberKicked:
            return 3009;
        case NotificationTypeEnum.GroupChatAllowInviteChanged:
            return 3010;
        case NotificationTypeEnum.GroupChatMemberLeft:
            return 3011;
        case NotificationTypeEnum.MeetupTitleChanged:
            return 4001;
        case NotificationTypeEnum.MeetupInvitationCreated:
            return 4002;
        case NotificationTypeEnum.MeetupInvitationAccepted:
            return 4003;
        case NotificationTypeEnum.MeetupInvitationNonCreatorAccepted:
            return 4004;
        case NotificationTypeEnum.MeetupApplicationCreated:
            return 4005;
        case NotificationTypeEnum.MeetupApplicationAccepted:
            return 4006;
        case NotificationTypeEnum.MeetupMemberDeleted:
            return 4007;
        case NotificationTypeEnum.MeetupCancelled:
            return 4008;
        case NotificationTypeEnum.MeetupMemberLeft:
            return 4009;
        case NotificationTypeEnum.MeetupMemberCreated:
            return 4010;
        case NotificationTypeEnum.MeetupDeleted:
            return 4011;
        case NotificationTypeEnum.MeetupMemberKicked:
            return 4012;
        case NotificationTypeEnum.MeetupAvatarChanged:
            return 4013;
        case NotificationTypeEnum.MeetupRejected:
            return 4014;
        case NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf:
            return 4015;
        case NotificationTypeEnum.MeetupApplicationAcceptedToSelf:
            return 4016;
        case NotificationTypeEnum.MeetupCancelledToSelf:
            return 4017;
        case NotificationTypeEnum.MeetupDeletedToSelf:
            return 4018;
        case NotificationTypeEnum.MeetupMemberKickedToSelf:
            return 4019;
        case NotificationTypeEnum.ProductRejected:
            return 5001;
        case NotificationTypeEnum.ProductPublishTip:
            return 5002;
        case NotificationTypeEnum.TopicPostRejected:
            return 6001;
        case NotificationTypeEnum.ReportDealed:
            return 7001;
        case NotificationTypeEnum.FeedBackDealed:
            return 7002;
        case NotificationTypeEnum.CompanyAuthenticationAudit:
            return 8001;
        case NotificationTypeEnum.BroadcastAllCompany:
            return 9001;
        case NotificationTypeEnum.CompanyOrderWillExpired:
            return 9002;
        case NotificationTypeEnum.OperationSingleUser:
            return 9003;
        case NotificationTypeEnum.OperationSingleCompany:
            return 9004;
        case NotificationTypeEnum.BroadcastAllUser:
            return 9005;
        case NotificationTypeEnum.PersonalChatTransfered:
            return 10001;
        case NotificationTypeEnum.TouristChatTransfered:
            return 10002;
        case NotificationTypeEnum.LeanCloudConversationChanged:
            return 10003;
        case NotificationTypeEnum.ArticleRejected:
            return 12001;
        default:
            throw new Error(`${e} is an invalid NotificationTypeEnum`);
    }
}
		