
import { CoreExceptionCodeEnum } from "./CoreExceptionCodeEnum"
export function convertToCoreExceptionCodeEnum(n: number): CoreExceptionCodeEnum{
    switch(n){
        case 100:
            return CoreExceptionCodeEnum.FhtValidationErrorException;
        case 401:
            return CoreExceptionCodeEnum.AccountUnauthorizedException;
        case 1000:
            return CoreExceptionCodeEnum.InvalidSmsCodeException;
        case 2000:
            return CoreExceptionCodeEnum.UnauthorizedNotificationException;
        case 3000:
            return CoreExceptionCodeEnum.EligibilityException;
        case 10002:
            return CoreExceptionCodeEnum.AccountLockException;
        case 10003:
            return CoreExceptionCodeEnum.AccountException;
        case 10007:
            return CoreExceptionCodeEnum.UserNotFoundException;
        case 10008:
            return CoreExceptionCodeEnum.UserProfileAlreadyCreatedException;
        case 10009:
            return CoreExceptionCodeEnum.UserProfileNotFoundException;
        case 10010:
            return CoreExceptionCodeEnum.UserContactListNotFoundException;
        case 10011:
            return CoreExceptionCodeEnum.ChangePasswordException;
        case 10012:
            return CoreExceptionCodeEnum.AccountExistException;
        case 10013:
            return CoreExceptionCodeEnum.UserGeoLocationNotFoundException;
        case 10014:
            return CoreExceptionCodeEnum.ExistBlockedUsersException;
        case 10015:
            return CoreExceptionCodeEnum.UserNotExistComopanyException;
        case 10016:
            return CoreExceptionCodeEnum.ExistFht1VipAccountException;
        case 10017:
            return CoreExceptionCodeEnum.Fht1AccountException;
        case 10018:
            return CoreExceptionCodeEnum.RegIdentityTypeNotExistException;
        case 10019:
            return CoreExceptionCodeEnum.AccountNotFoundException;
        case 12004:
            return CoreExceptionCodeEnum.ProductCollectionNotFoundException;
        case 12005:
            return CoreExceptionCodeEnum.ProductAuditRejectedException;
        case 12006:
            return CoreExceptionCodeEnum.ProductAuditPendingException;
        case 12007:
            return CoreExceptionCodeEnum.ProductSensitiveWordException;
        case 14001:
            return CoreExceptionCodeEnum.ArticleUnauthorizedException;
        case 20001:
            return CoreExceptionCodeEnum.CompanyMemberException;
        case 20002:
            return CoreExceptionCodeEnum.CompanyMemberApplyRequestException;
        case 20004:
            return CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException;
        case 20005:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestException;
        case 20006:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException;
        case 20007:
            return CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException;
        case 20008:
            return CoreExceptionCodeEnum.NotCompanyMemberException;
        case 20009:
            return CoreExceptionCodeEnum.CompanyMemberUnauthorizedException;
        case 20010:
            return CoreExceptionCodeEnum.UnauthorizedCompanyAdminException;
        case 20011:
            return CoreExceptionCodeEnum.CompanyNotFoundException;
        case 20012:
            return CoreExceptionCodeEnum.CompanyException;
        case 20013:
            return CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException;
        case 20014:
            return CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException;
        case 20016:
            return CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException;
        case 20017:
            return CoreExceptionCodeEnum.UserHasNoCompanyException;
        case 20018:
            return CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException;
        case 20019:
            return CoreExceptionCodeEnum.CompanyMemberOutofLimitException;
        case 20020:
            return CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException;
        case 20021:
            return CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException;
        case 20022:
            return CoreExceptionCodeEnum.UserHasBlockedByInviteUserException;
        case 20023:
            return CoreExceptionCodeEnum.CompanyInvitationCodeException;
        case 20024:
            return CoreExceptionCodeEnum.CompanyMemberCountReachedException;
        case 30001:
            return CoreExceptionCodeEnum.FriendRequestException;
        case 30002:
            return CoreExceptionCodeEnum.NotFriendsException;
        case 30003:
            return CoreExceptionCodeEnum.AlreadyFriendsException;
        case 30004:
            return CoreExceptionCodeEnum.GroupChatMemberOutofLimitException;
        case 30005:
            return CoreExceptionCodeEnum.GroupChatMemberNotFoundException;
        case 30006:
            return CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException;
        case 30007:
            return CoreExceptionCodeEnum.GroupChatNotFoundException;
        case 30008:
            return CoreExceptionCodeEnum.GroupChatIllegalOpeartionException;
        case 30009:
            return CoreExceptionCodeEnum.ChatMemberExistedException;
        case 30010:
            return CoreExceptionCodeEnum.PersonalChatMemberNotFoundException;
        case 30011:
            return CoreExceptionCodeEnum.PersonalChatNotFoundException;
        case 30013:
            return CoreExceptionCodeEnum.PersonalChatConversationNotNullException;
        case 30016:
            return CoreExceptionCodeEnum.TouristChatException;
        case 30017:
            return CoreExceptionCodeEnum.TouristChatNotFoundException;
        case 30018:
            return CoreExceptionCodeEnum.GroupChatUnauthorizedException;
        case 30019:
            return CoreExceptionCodeEnum.PersonalChatException;
        case 30020:
            return CoreExceptionCodeEnum.PersonalChatIllegalException;
        case 30021:
            return CoreExceptionCodeEnum.FailedLeaveGroupChatException;
        case 30022:
            return CoreExceptionCodeEnum.FailedKickFromGroupChatException;
        case 30023:
            return CoreExceptionCodeEnum.FriendRequestExpiredException;
        case 30024:
            return CoreExceptionCodeEnum.UnauthorizedChatException;
        case 30025:
            return CoreExceptionCodeEnum.ForbidTemporaryChatException;
        case 30026:
            return CoreExceptionCodeEnum.InvalidBlockChatException;
        case 30027:
            return CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException;
        case 40003:
            return CoreExceptionCodeEnum.CollectionItemNotFoundException;
        case 40005:
            return CoreExceptionCodeEnum.CollectionItemDataInvalidException;
        case 40006:
            return CoreExceptionCodeEnum.TopicPostNotFoundException;
        case 40007:
            return CoreExceptionCodeEnum.TopicPostUnauthorizedException;
        case 40008:
            return CoreExceptionCodeEnum.TopicPostException;
        case 40009:
            return CoreExceptionCodeEnum.TopicPostCreaterNotFoundException;
        case 40010:
            return CoreExceptionCodeEnum.TopicPostTitleUniqueException;
        case 40011:
            return CoreExceptionCodeEnum.TopicPostAuditRejectedException;
        case 40012:
            return CoreExceptionCodeEnum.TopicPostAuditPendingException;
        case 40013:
            return CoreExceptionCodeEnum.TopicPostSensitiveWordException;
        case 40014:
            return CoreExceptionCodeEnum.TopicTypeException;
        case 50001:
            return CoreExceptionCodeEnum.ReportException;
        case 50002:
            return CoreExceptionCodeEnum.ReportUnauthorizedException;
        case 60001:
            return CoreExceptionCodeEnum.CompanyAuthenticationException;
        case 70001:
            return CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException;
        case 70002:
            return CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException;
        case 70003:
            return CoreExceptionCodeEnum.CompanyNameApplicationException;
        case 80001:
            return CoreExceptionCodeEnum.InvalidRealNameException;
        case 90001:
            return CoreExceptionCodeEnum.IpNotInDatabaseException;
        case 100001:
            return CoreExceptionCodeEnum.InvalidHierachyItemIdException;
        case 120001:
            return CoreExceptionCodeEnum.ProductUnauthorizedException;
        case 120002:
            return CoreExceptionCodeEnum.ProductNotFoundException;
        case 120003:
            return CoreExceptionCodeEnum.ProductException;
        case 130002:
            return CoreExceptionCodeEnum.CustomCategoryUnauthorizedException;
        case 140002:
            return CoreExceptionCodeEnum.ArticleNotFoundException;
        case 140003:
            return CoreExceptionCodeEnum.ArticleTypeNotFoundException;
        case 140004:
            return CoreExceptionCodeEnum.ArticleTypeDuplicateNameException;
        case 140005:
            return CoreExceptionCodeEnum.ArticleTypeUnauthorizedException;
        case 140006:
            return CoreExceptionCodeEnum.ArticleAuditRejectedException;
        case 140007:
            return CoreExceptionCodeEnum.ArticleAuditPendingException;
        case 140008:
            return CoreExceptionCodeEnum.ArticleSensitiveWordException;
        case 140009:
            return CoreExceptionCodeEnum.ArticleTypeInvalidOperationException;
        case 150001:
            return CoreExceptionCodeEnum.MeetupNotFoundException;
        case 150002:
            return CoreExceptionCodeEnum.MeetupUnauthorizedException;
        case 150003:
            return CoreExceptionCodeEnum.MeetupMemberNotFoundException;
        case 150004:
            return CoreExceptionCodeEnum.MeetupMemberUnauthorizedException;
        case 150005:
            return CoreExceptionCodeEnum.MeetupInvitationNotFoundException;
        case 150006:
            return CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException;
        case 150007:
            return CoreExceptionCodeEnum.MeetupApplicationNotFoundException;
        case 150008:
            return CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException;
        case 150009:
            return CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException;
        case 150010:
            return CoreExceptionCodeEnum.MeetupHasBeenCancelledException;
        case 150011:
            return CoreExceptionCodeEnum.MeetupInvitationException;
        case 150012:
            return CoreExceptionCodeEnum.MeetupApplicationException;
        case 150013:
            return CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException;
        case 150014:
            return CoreExceptionCodeEnum.MeetupMemberException;
        case 150015:
            return CoreExceptionCodeEnum.MeetupException;
        case 150016:
            return CoreExceptionCodeEnum.MeetupChatMemberNotFoundException;
        case 150017:
            return CoreExceptionCodeEnum.MeetupChatException;
        case 150018:
            return CoreExceptionCodeEnum.MeetupChatNotFoundException;
        case 150019:
            return CoreExceptionCodeEnum.MeetupHasMaxMemberCountException;
        case 150020:
            return CoreExceptionCodeEnum.MeetupApplicationExpiredException;
        case 150021:
            return CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException;
        case 150022:
            return CoreExceptionCodeEnum.MeetupUsingErrorMethodException;
        case 150023:
            return CoreExceptionCodeEnum.MeetupInvitationExpiredException;
        case 150024:
            return CoreExceptionCodeEnum.MeetupSensitiveWordException;
        case 160001:
            return CoreExceptionCodeEnum.CustomPageNotFoundException;
        case 160002:
            return CoreExceptionCodeEnum.CustomPageUnauthorizedException;
        case 160003:
            return CoreExceptionCodeEnum.NavigationNotFoundException;
        case 160004:
            return CoreExceptionCodeEnum.InvalidNavigationContentTypeException;
        case 170001:
            return CoreExceptionCodeEnum.FriendlyLinkNotFoundException;
        case 170002:
            return CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException;
        case 180001:
            return CoreExceptionCodeEnum.RegionSiteNotFoundException;
        case 180002:
            return CoreExceptionCodeEnum.RegionSiteUnauthorizedException;
        case 190001:
            return CoreExceptionCodeEnum.NotSecondLevelRegionException;
        case 190002:
            return CoreExceptionCodeEnum.RegionLimtException;
        case 200001:
            return CoreExceptionCodeEnum.PageSizeTooLargeException;
        case 210001:
            return CoreExceptionCodeEnum.AdvertisementSynchronizeException;
        case 220004:
            return CoreExceptionCodeEnum.SensitiveWordsException;
        case 220005:
            return CoreExceptionCodeEnum.GrpcClientException;
        case 230001:
            return CoreExceptionCodeEnum.GroupIllegalOpeartionException;
        case 230002:
            return CoreExceptionCodeEnum.GroupMemberNotFoundException;
        case 230003:
            return CoreExceptionCodeEnum.GroupNotFoundException;
        case 230004:
            return CoreExceptionCodeEnum.GroupUnauthorizedException;
        case 230005:
            return CoreExceptionCodeEnum.GroupExistException;
        case 240001:
            return CoreExceptionCodeEnum.WebChatOAuthException;
        case 240002:
            return CoreExceptionCodeEnum.AlipayOAuthException;
        case 240003:
            return CoreExceptionCodeEnum.QQOAuthException;
        case 240004:
            return CoreExceptionCodeEnum.UserOAuthException;
        case 250001:
            return CoreExceptionCodeEnum.GeoIpNotFoundException;
        default:
            throw new Error(`${n} is an invalid CoreExceptionCodeEnum`);
    }
}
		