
import { NotificationTypeEnum } from "./NotificationTypeEnum"
export function convertToNotificationTypeEnum(n: number): NotificationTypeEnum{
    switch(n){
        case 1:
            return NotificationTypeEnum.UserProfileModified;
        case 2:
            return NotificationTypeEnum.UserSyncModified;
        case 3:
            return NotificationTypeEnum.UserProfileCreated;
        case 4:
            return NotificationTypeEnum.UserRejected;
        case 5:
            return NotificationTypeEnum.ContactUserCreated;
        case 6:
            return NotificationTypeEnum.RealNameInValid;
        case 1001:
            return NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin;
        case 1002:
            return NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser;
        case 1003:
            return NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser;
        case 1004:
            return NotificationTypeEnum.CompanyMemberInviteRequestAccepted;
        case 1005:
            return NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember;
        case 1006:
            return NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf;
        case 1007:
            return NotificationTypeEnum.CompanyAdministratorKickedToKickedMember;
        case 1008:
            return NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf;
        case 1009:
            return NotificationTypeEnum.CompanyMemberKickedToKickedMember;
        case 1010:
            return NotificationTypeEnum.CompanyMemberLeftToSelf;
        case 1011:
            return NotificationTypeEnum.CompanyProfileModified;
        case 1013:
            return NotificationTypeEnum.CompanyMemberKickedToAdminSelf;
        case 1016:
            return NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin;
        case 1017:
            return NotificationTypeEnum.CompanyCreated;
        case 1018:
            return NotificationTypeEnum.CompanyDeactivated;
        case 1019:
            return NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember;
        case 1020:
            return NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf;
        case 1021:
            return NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember;
        case 1022:
            return NotificationTypeEnum.CompanyActivated;
        case 1023:
            return NotificationTypeEnum.CompanyRejected;
        case 1024:
            return NotificationTypeEnum.NearbyCompanyNotified;
        case 1025:
            return NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser;
        case 1026:
            return NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin;
        case 1027:
            return NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf;
        case 1028:
            return NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf;
        case 2001:
            return NotificationTypeEnum.FriendRequestAccepted;
        case 2002:
            return NotificationTypeEnum.FriendRequestCreated;
        case 2003:
            return NotificationTypeEnum.PersonalUserSettingModified;
        case 2004:
            return NotificationTypeEnum.PersonalUserBlockEnabled;
        case 2005:
            return NotificationTypeEnum.PersonalUserBlockDisabled;
        case 3001:
            return NotificationTypeEnum.GroupChatMemberJoined;
        case 3002:
            return NotificationTypeEnum.GroupChatAdminTransferred;
        case 3004:
            return NotificationTypeEnum.GroupChatNameChanged;
        case 3005:
            return NotificationTypeEnum.GroupChatAvatarChanged;
        case 3009:
            return NotificationTypeEnum.GroupChatMemberKicked;
        case 3010:
            return NotificationTypeEnum.GroupChatAllowInviteChanged;
        case 3011:
            return NotificationTypeEnum.GroupChatMemberLeft;
        case 4001:
            return NotificationTypeEnum.MeetupTitleChanged;
        case 4002:
            return NotificationTypeEnum.MeetupInvitationCreated;
        case 4003:
            return NotificationTypeEnum.MeetupInvitationAccepted;
        case 4004:
            return NotificationTypeEnum.MeetupInvitationNonCreatorAccepted;
        case 4005:
            return NotificationTypeEnum.MeetupApplicationCreated;
        case 4006:
            return NotificationTypeEnum.MeetupApplicationAccepted;
        case 4007:
            return NotificationTypeEnum.MeetupMemberDeleted;
        case 4008:
            return NotificationTypeEnum.MeetupCancelled;
        case 4009:
            return NotificationTypeEnum.MeetupMemberLeft;
        case 4010:
            return NotificationTypeEnum.MeetupMemberCreated;
        case 4011:
            return NotificationTypeEnum.MeetupDeleted;
        case 4012:
            return NotificationTypeEnum.MeetupMemberKicked;
        case 4013:
            return NotificationTypeEnum.MeetupAvatarChanged;
        case 4014:
            return NotificationTypeEnum.MeetupRejected;
        case 4015:
            return NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf;
        case 4016:
            return NotificationTypeEnum.MeetupApplicationAcceptedToSelf;
        case 4017:
            return NotificationTypeEnum.MeetupCancelledToSelf;
        case 4018:
            return NotificationTypeEnum.MeetupDeletedToSelf;
        case 4019:
            return NotificationTypeEnum.MeetupMemberKickedToSelf;
        case 5001:
            return NotificationTypeEnum.ProductRejected;
        case 5002:
            return NotificationTypeEnum.ProductPublishTip;
        case 6001:
            return NotificationTypeEnum.TopicPostRejected;
        case 7001:
            return NotificationTypeEnum.ReportDealed;
        case 7002:
            return NotificationTypeEnum.FeedBackDealed;
        case 8001:
            return NotificationTypeEnum.CompanyAuthenticationAudit;
        case 9001:
            return NotificationTypeEnum.BroadcastAllCompany;
        case 9002:
            return NotificationTypeEnum.CompanyOrderWillExpired;
        case 9003:
            return NotificationTypeEnum.OperationSingleUser;
        case 9004:
            return NotificationTypeEnum.OperationSingleCompany;
        case 9005:
            return NotificationTypeEnum.BroadcastAllUser;
        case 10001:
            return NotificationTypeEnum.PersonalChatTransfered;
        case 10002:
            return NotificationTypeEnum.TouristChatTransfered;
        case 10003:
            return NotificationTypeEnum.LeanCloudConversationChanged;
        case 12001:
            return NotificationTypeEnum.ArticleRejected;
        default:
            throw new Error(`${n} is an invalid NotificationTypeEnum`);
    }
}
		