
import { CoreExceptionCodeEnum } from "./CoreExceptionCodeEnum"
export function describeCoreExceptionCodeEnum(e: CoreExceptionCodeEnum): string{
    switch(e){
        case CoreExceptionCodeEnum.FhtValidationErrorException:
            return "验证异常";
        case CoreExceptionCodeEnum.AccountUnauthorizedException:
            return "未身份认证异常";
        case CoreExceptionCodeEnum.InvalidSmsCodeException:
            return "无效短息验证码异常";
        case CoreExceptionCodeEnum.UnauthorizedNotificationException:
            return "通知权限异常";
        case CoreExceptionCodeEnum.EligibilityException:
            return "资格验证异常";
        case CoreExceptionCodeEnum.AccountLockException:
            return "账号锁定异常";
        case CoreExceptionCodeEnum.AccountException:
            return "账号异常";
        case CoreExceptionCodeEnum.UserNotFoundException:
            return "未找到用户异常";
        case CoreExceptionCodeEnum.UserProfileAlreadyCreatedException:
            return "用户信息已存在异常";
        case CoreExceptionCodeEnum.UserProfileNotFoundException:
            return "未找到用户信息异常";
        case CoreExceptionCodeEnum.UserContactListNotFoundException:
            return "未找到用户通信录异常";
        case CoreExceptionCodeEnum.ChangePasswordException:
            return "修改密码异常";
        case CoreExceptionCodeEnum.AccountExistException:
            return "账号已存在异常";
        case CoreExceptionCodeEnum.UserGeoLocationNotFoundException:
            return "用户坐标不存在";
        case CoreExceptionCodeEnum.ExistBlockedUsersException:
            return "已存在用户拉黑异常";
        case CoreExceptionCodeEnum.UserNotExistComopanyException:
            return "用户没有公司异常";
        case CoreExceptionCodeEnum.ExistFht1VipAccountException:
            return "FHT1VIP账号已存在异常";
        case CoreExceptionCodeEnum.Fht1AccountException:
            return "FHT1账号异常";
        case CoreExceptionCodeEnum.RegIdentityTypeNotExistException:
            return "会员注册类型不存在";
        case CoreExceptionCodeEnum.AccountNotFoundException:
            return "账号不存在";
        case CoreExceptionCodeEnum.ProductCollectionNotFoundException:
            return "产品收藏不存在";
        case CoreExceptionCodeEnum.ProductAuditRejectedException:
            return "产品审核拒绝异常";
        case CoreExceptionCodeEnum.ProductAuditPendingException:
            return "产品等待审核异常";
        case CoreExceptionCodeEnum.ProductSensitiveWordException:
            return "产品敏感词异常";
        case CoreExceptionCodeEnum.ArticleUnauthorizedException:
            return "非法操作文章";
        case CoreExceptionCodeEnum.CompanyMemberException:
            return "公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestException:
            return "申请公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusApplyRequestException:
            return "修改申请公司成员请求状态异常";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestException:
            return "邀请加入公司成员异常";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestNotFoundException:
            return "邀请加入公司请求不存在异常";
        case CoreExceptionCodeEnum.CompanyMemberChangeStatusInviteRequestException:
            return "修改邀请加入公司请求状态异常";
        case CoreExceptionCodeEnum.NotCompanyMemberException:
            return "公司没有成员异常";
        case CoreExceptionCodeEnum.CompanyMemberUnauthorizedException:
            return "公司成员权限异常";
        case CoreExceptionCodeEnum.UnauthorizedCompanyAdminException:
            return "公司管理员权限异常";
        case CoreExceptionCodeEnum.CompanyNotFoundException:
            return "公司不存在异常";
        case CoreExceptionCodeEnum.CompanyException:
            return "公司异常";
        case CoreExceptionCodeEnum.CompanyNameAlreadyRegisteredException:
            return "公司已注册异常";
        case CoreExceptionCodeEnum.UserAlreadyBelongToCompanyException:
            return "用户已加入公司异常";
        case CoreExceptionCodeEnum.CompanyCustomerServiceNotFoundException:
            return "公司客服不存在异常";
        case CoreExceptionCodeEnum.UserHasNoCompanyException:
            return "用户没有公司异常";
        case CoreExceptionCodeEnum.CompanyMustChoiceSecondRegionException:
            return "公司地区必须选择二级";
        case CoreExceptionCodeEnum.CompanyMemberOutofLimitException:
            return "超出公司成员总数";
        case CoreExceptionCodeEnum.CompanyMemberApplyRequestExpiredException:
            return "申请加入公司请求过期";
        case CoreExceptionCodeEnum.CompanyMemberInviteRequestExpiredException:
            return "邀请加入公司请求过期";
        case CoreExceptionCodeEnum.UserHasBlockedByInviteUserException:
            return "邀请的用户已被拉黑";
        case CoreExceptionCodeEnum.CompanyInvitationCodeException:
            return "邀请编码过期异常";
        case CoreExceptionCodeEnum.CompanyMemberCountReachedException:
            return "企业成员数量已达最大限制异常";
        case CoreExceptionCodeEnum.FriendRequestException:
            return "加好友请求";
        case CoreExceptionCodeEnum.NotFriendsException:
            return "不是好友";
        case CoreExceptionCodeEnum.AlreadyFriendsException:
            return "已是好友";
        case CoreExceptionCodeEnum.GroupChatMemberOutofLimitException:
            return "超出群聊成员总数";
        case CoreExceptionCodeEnum.GroupChatMemberNotFoundException:
            return "去聊成员不存在";
        case CoreExceptionCodeEnum.GroupChatCoversationIdNotNullException:
            return "群聊CoversationId不能空";
        case CoreExceptionCodeEnum.GroupChatNotFoundException:
            return "群聊不存在";
        case CoreExceptionCodeEnum.GroupChatIllegalOpeartionException:
            return "非法操作群聊";
        case CoreExceptionCodeEnum.ChatMemberExistedException:
            return "聊天成员已存在";
        case CoreExceptionCodeEnum.PersonalChatMemberNotFoundException:
            return "单聊成员不存在";
        case CoreExceptionCodeEnum.PersonalChatNotFoundException:
            return "单聊不存在";
        case CoreExceptionCodeEnum.PersonalChatConversationNotNullException:
            return "单聊Conversation不能为空";
        case CoreExceptionCodeEnum.TouristChatException:
            return "游客聊天异常";
        case CoreExceptionCodeEnum.TouristChatNotFoundException:
            return "游客聊天不存在";
        case CoreExceptionCodeEnum.GroupChatUnauthorizedException:
            return "没有群聊权限";
        case CoreExceptionCodeEnum.PersonalChatException:
            return "单聊异常";
        case CoreExceptionCodeEnum.PersonalChatIllegalException:
            return "非法操作单聊";
        case CoreExceptionCodeEnum.FailedLeaveGroupChatException:
            return "退出群聊失败";
        case CoreExceptionCodeEnum.FailedKickFromGroupChatException:
            return "踢出群聊失败";
        case CoreExceptionCodeEnum.FriendRequestExpiredException:
            return "好友请求到期";
        case CoreExceptionCodeEnum.UnauthorizedChatException:
            return "没有权限聊天";
        case CoreExceptionCodeEnum.ForbidTemporaryChatException:
            return "禁止临时聊天";
        case CoreExceptionCodeEnum.InvalidBlockChatException:
            return "无效拉黑";
        case CoreExceptionCodeEnum.GroupChatMemberLowerOfLimitException:
            return "小于群聊最小成员数";
        case CoreExceptionCodeEnum.CollectionItemNotFoundException:
            return "收藏不存在";
        case CoreExceptionCodeEnum.CollectionItemDataInvalidException:
            return "收藏数据无效";
        case CoreExceptionCodeEnum.TopicPostNotFoundException:
            return "服务信息不存在";
        case CoreExceptionCodeEnum.TopicPostUnauthorizedException:
            return "操作服务信息权限";
        case CoreExceptionCodeEnum.TopicPostException:
            return "服务异常";
        case CoreExceptionCodeEnum.TopicPostCreaterNotFoundException:
            return "服务信息创建者不存在";
        case CoreExceptionCodeEnum.TopicPostTitleUniqueException:
            return "服务信息标题不是唯一";
        case CoreExceptionCodeEnum.TopicPostAuditRejectedException:
            return "服务信息审核拒绝异常";
        case CoreExceptionCodeEnum.TopicPostAuditPendingException:
            return "服务信息等待审核异常";
        case CoreExceptionCodeEnum.TopicPostSensitiveWordException:
            return "服务信息敏感词异常";
        case CoreExceptionCodeEnum.TopicTypeException:
            return "服务类型异常";
        case CoreExceptionCodeEnum.ReportException:
            return "投诉异常";
        case CoreExceptionCodeEnum.ReportUnauthorizedException:
            return "投诉权限异常";
        case CoreExceptionCodeEnum.CompanyAuthenticationException:
            return "公司认证异常";
        case CoreExceptionCodeEnum.CompanyNameApplicationNotFoundException:
            return "企业冠名权申请不存在";
        case CoreExceptionCodeEnum.CompanyNameApplicationAuthenticationException:
            return "企业冠名权申请权限";
        case CoreExceptionCodeEnum.CompanyNameApplicationException:
            return "企业冠名权申请异常";
        case CoreExceptionCodeEnum.InvalidRealNameException:
            return "无效用户姓名";
        case CoreExceptionCodeEnum.IpNotInDatabaseException:
            return "IP不在数据库";
        case CoreExceptionCodeEnum.InvalidHierachyItemIdException:
            return "redis无效的Id";
        case CoreExceptionCodeEnum.ProductUnauthorizedException:
            return "产品操作权限";
        case CoreExceptionCodeEnum.ProductNotFoundException:
            return "产品不存在";
        case CoreExceptionCodeEnum.ProductException:
            return "产品异常";
        case CoreExceptionCodeEnum.CustomCategoryUnauthorizedException:
            return "非法操作自定义分类";
        case CoreExceptionCodeEnum.ArticleNotFoundException:
            return "文章不存在";
        case CoreExceptionCodeEnum.ArticleTypeNotFoundException:
            return "文章类型不存在";
        case CoreExceptionCodeEnum.ArticleTypeDuplicateNameException:
            return "重复文章类型名称";
        case CoreExceptionCodeEnum.ArticleTypeUnauthorizedException:
            return "非法操作文章类型";
        case CoreExceptionCodeEnum.ArticleAuditRejectedException:
            return "文章审核拒绝异常";
        case CoreExceptionCodeEnum.ArticleAuditPendingException:
            return "文章等待审核异常";
        case CoreExceptionCodeEnum.ArticleSensitiveWordException:
            return "文章敏感词异常";
        case CoreExceptionCodeEnum.ArticleTypeInvalidOperationException:
            return "非法操作文章分类异常";
        case CoreExceptionCodeEnum.MeetupNotFoundException:
            return "一起玩不存在";
        case CoreExceptionCodeEnum.MeetupUnauthorizedException:
            return "非法操作一起玩";
        case CoreExceptionCodeEnum.MeetupMemberNotFoundException:
            return "一起玩成员不存在";
        case CoreExceptionCodeEnum.MeetupMemberUnauthorizedException:
            return "一起玩成员非法操作";
        case CoreExceptionCodeEnum.MeetupInvitationNotFoundException:
            return "一起玩邀请不存在";
        case CoreExceptionCodeEnum.MeetupInvitationUnauthorizedException:
            return "非法操作一起玩邀请";
        case CoreExceptionCodeEnum.MeetupApplicationNotFoundException:
            return "一起玩申请不存在";
        case CoreExceptionCodeEnum.MeetupApplicationUnauthorizedException:
            return "非法操作一起玩申请";
        case CoreExceptionCodeEnum.AlreadyAMemberOfMeetupException:
            return "已属于一起玩成员";
        case CoreExceptionCodeEnum.MeetupHasBeenCancelledException:
            return "已取消一起玩";
        case CoreExceptionCodeEnum.MeetupInvitationException:
            return "邀请加入一起玩异常";
        case CoreExceptionCodeEnum.MeetupApplicationException:
            return "申请加入一起玩异常";
        case CoreExceptionCodeEnum.MeetupALreadyStartedOrExpiredException:
            return "一起玩已开始或结束";
        case CoreExceptionCodeEnum.MeetupMemberException:
            return "一起玩成员异常";
        case CoreExceptionCodeEnum.MeetupException:
            return "一起玩异常";
        case CoreExceptionCodeEnum.MeetupChatMemberNotFoundException:
            return "一起玩聊天成员不存在";
        case CoreExceptionCodeEnum.MeetupChatException:
            return "一起玩聊天异常";
        case CoreExceptionCodeEnum.MeetupChatNotFoundException:
            return "一起玩聊天不存在";
        case CoreExceptionCodeEnum.MeetupHasMaxMemberCountException:
            return "一起玩参与人数已满";
        case CoreExceptionCodeEnum.MeetupApplicationExpiredException:
            return "一起玩申请过期";
        case CoreExceptionCodeEnum.MeetupExistsMaxCountMembersException:
            return "一起玩最大成员数异常";
        case CoreExceptionCodeEnum.MeetupUsingErrorMethodException:
            return "一起玩调用错误方法";
        case CoreExceptionCodeEnum.MeetupInvitationExpiredException:
            return "一起玩邀请过期";
        case CoreExceptionCodeEnum.MeetupSensitiveWordException:
            return "一起玩敏感词异常";
        case CoreExceptionCodeEnum.CustomPageNotFoundException:
            return "CMS自定页面不存在";
        case CoreExceptionCodeEnum.CustomPageUnauthorizedException:
            return "非法操作CMS自定义页面";
        case CoreExceptionCodeEnum.NavigationNotFoundException:
            return "CMS导航不存在";
        case CoreExceptionCodeEnum.InvalidNavigationContentTypeException:
            return "CMS无效导航类型";
        case CoreExceptionCodeEnum.FriendlyLinkNotFoundException:
            return "友情链接不存在";
        case CoreExceptionCodeEnum.FriendlyLinkUnauthorizedException:
            return "非法操作友情链接";
        case CoreExceptionCodeEnum.RegionSiteNotFoundException:
            return "城市分站不存在";
        case CoreExceptionCodeEnum.RegionSiteUnauthorizedException:
            return "非法操作城市分站";
        case CoreExceptionCodeEnum.NotSecondLevelRegionException:
            return "地区没有二级";
        case CoreExceptionCodeEnum.RegionLimtException:
            return "地区数量设置异常";
        case CoreExceptionCodeEnum.PageSizeTooLargeException:
            return "每页总数太大";
        case CoreExceptionCodeEnum.AdvertisementSynchronizeException:
            return "广告同步异常";
        case CoreExceptionCodeEnum.SensitiveWordsException:
            return "通用敏感词异常";
        case CoreExceptionCodeEnum.GrpcClientException:
            return "GRPC客户端异常";
        case CoreExceptionCodeEnum.GroupIllegalOpeartionException:
            return "非法操作好友分组";
        case CoreExceptionCodeEnum.GroupMemberNotFoundException:
            return "好友组成员不存在";
        case CoreExceptionCodeEnum.GroupNotFoundException:
            return "好友组不存在";
        case CoreExceptionCodeEnum.GroupUnauthorizedException:
            return "没有权限操作好友组";
        case CoreExceptionCodeEnum.GroupExistException:
            return "好友组异常";
        case CoreExceptionCodeEnum.WebChatOAuthException:
            return "微信授权异常";
        case CoreExceptionCodeEnum.AlipayOAuthException:
            return "支付宝授权异常";
        case CoreExceptionCodeEnum.QQOAuthException:
            return "QQ授权异常";
        case CoreExceptionCodeEnum.UserOAuthException:
            return "用户授权异常";
        case CoreExceptionCodeEnum.GeoIpNotFoundException:
            return "ip、地址、坐标转换失败";
        default:
            throw new Error(`${e} is an invalid CoreExceptionCodeEnum`);
    }
}
		