
import { EligibilityReasonEnum } from "./EligibilityReasonEnum"
export function describeEligibilityReasonEnum(e: EligibilityReasonEnum): string{
    switch(e){
        case EligibilityReasonEnum.UserInactive:
            return "当前用户被冻结了";
        case EligibilityReasonEnum.UserAuditPendingOrRejected:
            return "当前用户审核不通过";
        case EligibilityReasonEnum.UserRealNameInvalid:
            return "真实姓名审核不通过";
        case EligibilityReasonEnum.UserAccountNotMobile:
            return "用户账号非手机号码";
        case EligibilityReasonEnum.UserHasNoCompany:
            return "非企业用户";
        case EligibilityReasonEnum.CompanyInactive:
            return "企业已冻结或解散";
        case EligibilityReasonEnum.CompanyAuditPendingOrRejected:
            return "企业审核不通过";
        case EligibilityReasonEnum.NotCompanyAdmin:
            return "当前用户不是企业管理员";
        case EligibilityReasonEnum.CompanyNotVip:
            return "当前企业不是付费企业";
        case EligibilityReasonEnum.CompanyInfoNotPerfect:
            return "企业资料不完善";
        case EligibilityReasonEnum.NoShops:
            return "未开通商铺";
        default:
            throw new Error(`${e} is an invalid EligibilityReasonEnum`);
    }
}
		