
import { NotificationTypeEnum } from "./NotificationTypeEnum"
export function describeNotificationTypeEnum(e: NotificationTypeEnum): string{
    switch(e){
        case NotificationTypeEnum.UserProfileModified:
            return "个人资料被修改";
        case NotificationTypeEnum.UserSyncModified:
            return "移动端UserModel缓存同步消息";
        case NotificationTypeEnum.UserProfileCreated:
            return "用户创建,通知创建的人";
        case NotificationTypeEnum.UserRejected:
            return "用户审核不通过,通知用户";
        case NotificationTypeEnum.ContactUserCreated:
            return "通讯录好友加入烽火台";
        case NotificationTypeEnum.RealNameInValid:
            return "用户名称无效";
        case NotificationTypeEnum.CompanyMemberApplyRequestCreatedToCompanyAdmin:
            return "用户申请加入公司，通知公司所有管理员";
        case NotificationTypeEnum.CompanyMemberApplyRequestAcceptedToApplicantUser:
            return "管理员同意用户加入公司，通知申请者";
        case NotificationTypeEnum.CompanyMemberInviteRequestCreatedToInvitedUser:
            return "管理员邀请用户加入公司，通知被邀请人";
        case NotificationTypeEnum.CompanyMemberInviteRequestAccepted:
            return "被邀请人接受邀请加入公司，通知邀请管理员";
        case NotificationTypeEnum.CompanyAdministratorAssignedToAssignedMember:
            return "管理员设置成员为公司管理员，通知被加为管理员的成员";
        case NotificationTypeEnum.CompanyAdministratorAssignedToAdminSelf:
            return "管理员设置成员为公司管理员，通知管理员自己";
        case NotificationTypeEnum.CompanyAdministratorKickedToKickedMember:
            return "管理员取消用户的管理员角色，通知被取消的公司成员";
        case NotificationTypeEnum.CompanyAdministratorKickedToAdminSelf:
            return "管理员取消用户的管理员角色，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberKickedToKickedMember:
            return "用户被管理员踢出公司，通知被踢公司成员";
        case NotificationTypeEnum.CompanyMemberLeftToSelf:
            return "用户自己退出公司";
        case NotificationTypeEnum.CompanyProfileModified:
            return "管理员修改公司资料";
        case NotificationTypeEnum.CompanyMemberKickedToAdminSelf:
            return "用户被管理员踢出公司，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberLeftToCompanyAdmin:
            return "用户自己退出公司，通知公司管理员";
        case NotificationTypeEnum.CompanyCreated:
            return "创建公司";
        case NotificationTypeEnum.CompanyDeactivated:
            return "公司冻结，通知所有成员";
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAssignedMember:
            return "管理员设置用户为公司客服，通知被加为公司客服的公司成员";
        case NotificationTypeEnum.CompanyCustomerServiceAssignedToAdminSelf:
            return "管理员设置用户为公司客服，通知管理员自己";
        case NotificationTypeEnum.CompanyCustomerServiceKickedToKickedMember:
            return "管理员取消用户的公司客服，通知被取消的公司成员";
        case NotificationTypeEnum.CompanyActivated:
            return "公司被激活，通知所有成员";
        case NotificationTypeEnum.CompanyRejected:
            return "企业审核不通过,企业管理员";
        case NotificationTypeEnum.NearbyCompanyNotified:
            return "新入驻企业，通知附近企业";
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToInvitedUser:
            return "管理员取消发给用户加入公司的邀请，通知被邀请人";
        case NotificationTypeEnum.CompanyMemberApplyRequestCanceledToCompanyAdmin:
            return "用户取消申请加入公司，通知公司所有管理员";
        case NotificationTypeEnum.CompanyCustomerServiceKickedToAdminSelf:
            return "管理员取消用户的公司客服，通知管理员自己";
        case NotificationTypeEnum.CompanyMemberInviteRequestCanceledToAdminSelf:
            return "管理员取消发给用户加入公司的邀请，通知管理员自己";
        case NotificationTypeEnum.FriendRequestAccepted:
            return "接受好友申请，通知申请人";
        case NotificationTypeEnum.FriendRequestCreated:
            return "有人申请加为好友";
        case NotificationTypeEnum.PersonalUserSettingModified:
            return "修好用户备注";
        case NotificationTypeEnum.PersonalUserBlockEnabled:
            return "拉黑用户";
        case NotificationTypeEnum.PersonalUserBlockDisabled:
            return "取消拉黑";
        case NotificationTypeEnum.GroupChatMemberJoined:
            return "新成员加入聊天组";
        case NotificationTypeEnum.GroupChatAdminTransferred:
            return "聊天组设定新管理员";
        case NotificationTypeEnum.GroupChatNameChanged:
            return "修改群名称";
        case NotificationTypeEnum.GroupChatAvatarChanged:
            return "修改群头像";
        case NotificationTypeEnum.GroupChatMemberKicked:
            return "用户被踢除聊天组";
        case NotificationTypeEnum.GroupChatAllowInviteChanged:
            return "是否允许成员邀请";
        case NotificationTypeEnum.GroupChatMemberLeft:
            return "用户离开聊天组";
        case NotificationTypeEnum.MeetupTitleChanged:
            return "一起玩活动内容修改";
        case NotificationTypeEnum.MeetupInvitationCreated:
            return "一起玩邀请，通知被邀请者";
        case NotificationTypeEnum.MeetupInvitationAccepted:
            return "同意一起玩邀请，通知邀请者";
        case NotificationTypeEnum.MeetupInvitationNonCreatorAccepted:
            return "非创建者同意一起玩邀请，通知邀请者";
        case NotificationTypeEnum.MeetupApplicationCreated:
            return "申请一起玩，通知组织者";
        case NotificationTypeEnum.MeetupApplicationAccepted:
            return "同意一起玩申请，通知申请者";
        case NotificationTypeEnum.MeetupMemberDeleted:
            return "成员删除活动";
        case NotificationTypeEnum.MeetupCancelled:
            return "组织者取消活动，通知所有成员";
        case NotificationTypeEnum.MeetupMemberLeft:
            return "成员离开活动";
        case NotificationTypeEnum.MeetupMemberCreated:
            return "用户加入一起玩";
        case NotificationTypeEnum.MeetupDeleted:
            return "组织者删除活动，通知所有成员";
        case NotificationTypeEnum.MeetupMemberKicked:
            return "成员被踢除，通知被踢除者";
        case NotificationTypeEnum.MeetupAvatarChanged:
            return "一起玩头像修改";
        case NotificationTypeEnum.MeetupRejected:
            return "一起玩头审核不通过,通知发帖的人";
        case NotificationTypeEnum.MeetupInvitationAcceptedToInviteeSelf:
            return "同意一起玩邀请，通知被邀请者";
        case NotificationTypeEnum.MeetupApplicationAcceptedToSelf:
            return "同意一起玩申请，通知活动发起者";
        case NotificationTypeEnum.MeetupCancelledToSelf:
            return "组织者取消活动，通知活动发起者";
        case NotificationTypeEnum.MeetupDeletedToSelf:
            return "组织者删除活动，通知活动发起者";
        case NotificationTypeEnum.MeetupMemberKickedToSelf:
            return "成员被踢除，通知活动发起者";
        case NotificationTypeEnum.ProductRejected:
            return "产品审核不通过,通知公司管理员";
        case NotificationTypeEnum.ProductPublishTip:
            return "用户创建,提示如何完善商铺产品信息";
        case NotificationTypeEnum.TopicPostRejected:
            return "服务信息审核不通过,通知发帖的人";
        case NotificationTypeEnum.ReportDealed:
            return "和我相关举报，处理后通知举报人";
        case NotificationTypeEnum.FeedBackDealed:
            return "我反馈的意见，处理后通知反馈人";
        case NotificationTypeEnum.CompanyAuthenticationAudit:
            return "公司认证审核";
        case NotificationTypeEnum.BroadcastAllCompany:
            return "运营广播平台所有企业推送";
        case NotificationTypeEnum.CompanyOrderWillExpired:
            return "订单即将到期提醒消息";
        case NotificationTypeEnum.OperationSingleUser:
            return "运营指定用户消息推送";
        case NotificationTypeEnum.OperationSingleCompany:
            return "运营指定企业消息推送";
        case NotificationTypeEnum.BroadcastAllUser:
            return "运营广播平台所有人推送";
        case NotificationTypeEnum.PersonalChatTransfered:
            return "单聊转接消息";
        case NotificationTypeEnum.TouristChatTransfered:
            return "游客转接消息";
        case NotificationTypeEnum.LeanCloudConversationChanged:
            return "LeanCloud Conv Change 消息";
        case NotificationTypeEnum.ArticleRejected:
            return "文章审核不通过,通知公司管理员";
        default:
            throw new Error(`${e} is an invalid NotificationTypeEnum`);
    }
}
		