//@ts-check
const { generateCs } = require("./swaggerCs");
const assert = require("assert");
const path = require("path");
const chalk = require("chalk");

/**
 * @typedef {import("./types").TsLibType} TsLibType
 * @typedef {import("./outputs/output_api_request").TestSwaggerInputModel} TestSwaggerInputModel
 * @typedef {keyof TestSwaggerInputModel} TestSwaggerInputModelKeys
 * @typedef {import("./outputs/output_api_request").TestSwaggerViewModel} TestSwaggerViewModel
 * @typedef {keyof TestSwaggerViewModel} TestSwaggerViewModelKeys
 */

const resolve = (p) => path.resolve(__dirname, p);

//see https://github.com/Microsoft/TypeScript/wiki/Using-the-Compiler-API
//also https://github.com/Microsoft/TypeScript/issues?utf8=%E2%9C%93&q=is%3Amerged%20label%3A%22Domain%3A%20Transforms%22%20
//also https://github.com/microsoft/TypeScript/pull/13940
//also https://ts-ast-viewer.com/
//also https://blog.scottlogic.com/2017/05/02/typescript-compiler-api-revisited.html

(async () => {
    // const swaggerDocUrl = "http://www.mobiledevelopmentfht360web.com/swagger/docs/v1";
	const swaggerDocUrl = "http://localhost:8001/swagger/docs/v1";
    console.log(chalk.bgYellow(`=== swagger cs === `));
    const outputDir = resolve(`./outputs/csharpBuild`);
    await generateCs({
        endpointUrl: swaggerDocUrl,
        outputDir: outputDir,
        packageName: "IO.Swagger.WebApi.Standard",
        packageOutputDir: outputDir
    });
})();
