export type TsLibType = "fetch" | "jquery" | "request" | "taro";

export interface TsSwaggerGenerateOptions {
	tsLibType: TsLibType;
	endpointUrl: string;
	outputPath: string;
	debugModels?: string;
	debugOperations?: string;
	classValidator?: boolean;
	ruleValidator?: boolean;
	customValidator?: boolean;
	apiBasePathEnvPrefix: string;
}

export interface CsSwaggerGenerateOptions {
	endpointUrl: string;
	debugModels?: string;
	debugOperations?: string;
	packageOutputDir?: string;
	outputDir: string | undefined;
	packageName: string;
}

export interface AndroidSwaggerGenerateOptions {
	endpointUrl: string;
	debugModels?: string;
	debugOperations?: string;
	outputDir: string | undefined;
}

export type HttpClientLibTypeV2 = "axios" | "jquery" | "fetch" | "taro";

export interface TsSwaggerGenerateOptionsV2 {
	httpClientLib: HttpClientLibTypeV2,
	endpointUrl: string;
	outputDir: string;
	debugModels?: string;
	debugOperations?: string;
	classValidator?: boolean;
	ruleValidator?: boolean;
	customValidator?: boolean;
	customValidatorRelativeLevel: number;
	convertToEnum?: boolean;
	convertFromEnum?: boolean;
	describeEnum?: boolean;
	apiBasePathEnvPrefix: string;
}

